# ChangeLog for x11-base/xorg-server
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/x11-base/xorg-server/ChangeLog,v 1.527 2010/09/05 11:59:11 remi Exp $

  05 Sep 2010; Rémi Cardona <remi@gentoo.org> xorg-server-1.7.6.ebuild,
  xorg-server-1.7.7-r1.ebuild, xorg-server-1.8.2.ebuild:
  add missing libXv dep, fixes bug #335025

  11 Aug 2010; Markus Meier <maekke@gentoo.org> xorg-server-1.7.7-r1.ebuild:
  arm stable, bug #330593

  06 Aug 2010; Markos Chandras <hwoarang@gentoo.org>
  xorg-server-1.7.7-r1.ebuild:
  Stable on amd64 wrt bug #330593

  06 Aug 2010; Christian Faulhammer <fauli@gentoo.org>
  xorg-server-1.7.7-r1.ebuild:
  stable x86, bug 330593

  02 Aug 2010; Raúl Porcel <armin76@gentoo.org> xorg-server-1.7.6.ebuild:
  alpha/ia64/sh/sparc stable wrt #308521

  31 Jul 2010; Chí-Thanh Christopher Nguyễn <chithanh@gentoo.org>
  xorg-server-1.7.7-r1.ebuild:
  Add patch to prefer nouveau over nv to 1.7.7 too

*xorg-server-1.7.7-r1 (31 Jul 2010)

  31 Jul 2010; Tomáš Chvátal <scarabeus@gentoo.org>
  -xorg-server-1.7.7.ebuild, +xorg-server-1.7.7-r1.ebuild:
  Add patches from nominations branch. So we can open stablerequest for
  1.7.7-r1.

  22 Jul 2010; Tomáš Chvátal <scarabeus@gentoo.org>
  -xorg-server-1.8.0.ebuild, -xorg-server-1.8.1.901.ebuild,
  -xorg-server-1.8.1.902.ebuild:
  Drop older 1.8 series ebuilds.

*xorg-server-1.8.2 (21 Jul 2010)

  21 Jul 2010; Chí-Thanh Christopher Nguyễn <chithanh@gentoo.org>
  +xorg-server-1.8.2.ebuild, +files/xorg-server-1.8-nouveau-default.patch:
  Modify autoconfiguration to prefer nouveau over nv.

*xorg-server-1.8.1.902 (26 Jun 2010)

  26 Jun 2010; Rémi Cardona <remi@gentoo.org>
  +xorg-server-1.8.1.902.ebuild:
  bump to 1.8.1.902

  18 Jun 2010; Tomáš Chvátal <scarabeus@gentoo.org>
  xorg-server-1.8.1.901.ebuild:
  No need to block dtrace anymore. Does not fail if it is around today.

  10 Jun 2010; Rémi Cardona <remi@gentoo.org> xorg-server-1.8.1.901.ebuild:
  add missing eselect-opengl call, fixes bug #321443

*xorg-server-1.8.1.901 (09 Jun 2010)

  09 Jun 2010; Tomáš Chvátal <scarabeus@gentoo.org>
  -xorg-server-1.8.1-r1.ebuild, +xorg-server-1.8.1.901.ebuild,
  -files/1.6.3.901-0001-dix-append-built-ins-to-the-font-path-in-SetDefaultF
  .patch:
  Version bump. Drop old.

  31 May 2010; Guy Martin <gmsoft@gentoo.org> xorg-server-1.7.6.ebuild:
  hppa stable, #308521

  20 May 2010; Chí-Thanh Christopher Nguyễn <chithanh@gentoo.org>
  xorg-server-1.8.1-r1.ebuild:
  Depend on >=app-doc/doxygen-1.6.1 for building documentation.

*xorg-server-1.8.1-r1 (19 May 2010)

  19 May 2010; Tomáš Chvátal <scarabeus@gentoo.org>
  -xorg-server-1.8.1.ebuild, +xorg-server-1.8.1-r1.ebuild:
  Apply fixes per bug #320475. Thx to Andrew Brouwers for testing.

*xorg-server-1.8.1 (15 May 2010)

  15 May 2010; Rémi Cardona <remi@gentoo.org> +xorg-server-1.8.1.ebuild:
  bump to 1.8.1, first swing at bug #315347 (based on an idea by Michał
  Górny)

  12 May 2010; Brent Baude <ranger@gentoo.org> xorg-server-1.7.6.ebuild:
  Marking xorg-server-1.7.6 ppc64 stable for bug 308521

  04 May 2010; Tomáš Chvátal <scarabeus@gentoo.org>
  xorg-server-1.7.7.ebuild:
  Drop already upstreamed patch.

*xorg-server-1.7.7 (04 May 2010)

  04 May 2010; Tomáš Chvátal <scarabeus@gentoo.org>
  +xorg-server-1.7.7.ebuild:
  Version bump.

  18 Apr 2010; Markus Meier <maekke@gentoo.org> xorg-server-1.7.6.ebuild:
  arm stable, bug #308521

  18 Apr 2010; <nixnut@gentoo.org> xorg-server-1.7.6.ebuild:
  ppc stable #308521

  18 Apr 2010; Tomáš Chvátal <scarabeus@gentoo.org>
  -files/1.4-fix-kdrive-automake.patch, -xorg-server-1.5.3-r6.ebuild,
  -files/1.4-fpic-libxf86config.patch:
  Drop xorg-server 1.5 series

  16 Apr 2010; Pacho Ramos <pacho@gentoo.org> xorg-server-1.7.6.ebuild:
  amd64 stable, bug 308521

  13 Apr 2010; Lars Wendler <polynomial-c@gentoo.org>
  xorg-server-1.8.0.ebuild:
  fixing version on xinit blocker (D'oh)

  13 Apr 2010; Lars Wendler <polynomial-c@gentoo.org>
  xorg-server-1.8.0.ebuild:
  Adding blocker for <x11-apps/xinit-1.2.1
  Permission granted by scarabeus.

  13 Apr 2010; Tomáš Chvátal <scarabeus@gentoo.org>
  xorg-server-1.8.0.ebuild:
  Actualy use correct variable.

  13 Apr 2010; Tomáš Chvátal <scarabeus@gentoo.org>
  xorg-server-1.8.0.ebuild:
  Silence sandbox. Thanks to Brian (ferringb) for help.

  13 Apr 2010; Tomáš Chvátal <scarabeus@gentoo.org>
  xorg-server-1.8.0.ebuild:
  Remove never triggered sdl dependency.

*xorg-server-1.8.0 (13 Apr 2010)

  13 Apr 2010; Tomáš Chvátal <scarabeus@gentoo.org>
  +files/1.8.0-match-only-sane-devices.patch, +xorg-server-1.8.0.ebuild,
  +files/1.8.0-no-hardcoded-etc.patch, +files/xdm-setup.initd-1,
  +files/xdm.confd-3, +files/xdm.initd,
  +files/xorg-server-disable-acpi.patch, metadata.xml:
  Version bump to xorg-server 1.8.

  11 Apr 2010; Chí-Thanh Christopher Nguyễn <chithanh@gentoo.org>
  xorg-server-1.7.6.ebuild:
  warn user about gcc-3 incompatibility, bug #314615

  09 Apr 2010; Christian Faulhammer <fauli@gentoo.org>
  xorg-server-1.7.6.ebuild:
  stable x86, bug 308521

  09 Apr 2010; Tomáš Chvátal <scarabeus@gentoo.org>
  xorg-server-1.5.3-r6.ebuild, xorg-server-1.6.5-r1.ebuild,
  xorg-server-1.7.6.ebuild:
  Depend on old xinit which ships the init.d and conf.d files.

*xorg-server-1.7.6 (17 Mar 2010)

  17 Mar 2010; Tomáš Chvátal <scarabeus@gentoo.org>
  -xorg-server-1.7.5.ebuild, -xorg-server-1.7.5.901.ebuild,
  -xorg-server-1.7.5.902.ebuild, -xorg-server-1.7.5.902-r1.ebuild,
  +xorg-server-1.7.6.ebuild:
  Version bump to 1.7.6. Drop old 1.7 releases.

*xorg-server-1.7.5.902-r1 (16 Mar 2010)

  16 Mar 2010; Rémi Cardona <remi@gentoo.org>
  +files/1.7.5.902-fix-tslib-1.0-check.patch, -files/tslib-1.0-check.patch,
  +xorg-server-1.7.5.902-r1.ebuild:
  really fix tslib support, fixes bug #304067

  16 Mar 2010; <solar@gentoo.org> xorg-server-1.7.5.902.ebuild:
  comment out tslib patch for a few hours. We ended up making it non
  optional

  16 Mar 2010; <solar@gentoo.org> +files/tslib-1.0-check.patch,
  xorg-server-1.7.5.902.ebuild:
  tslib changed the tslib-0.0.pc to tslib.pc; We check for both. Bug #304067

*xorg-server-1.7.5.902 (15 Mar 2010)

  15 Mar 2010; Chí-Thanh Christopher Nguyễn <chithanh@gentoo.org>
  +xorg-server-1.7.5.902.ebuild:
  version bump

*xorg-server-1.7.5.901 (07 Mar 2010)

  07 Mar 2010; Chí-Thanh Christopher Nguyễn <chithanh@gentoo.org>
  +xorg-server-1.7.5.901.ebuild:
  version bump

*xorg-server-1.7.5 (16 Feb 2010)

  16 Feb 2010; Tomáš Chvátal <scarabeus@gentoo.org>
  -xorg-server-1.7.4.ebuild, -xorg-server-1.7.4.902.ebuild,
  +xorg-server-1.7.5.ebuild:
  Version bump to new release. Drop older.

*xorg-server-1.7.4.902 (15 Feb 2010)

  15 Feb 2010; Tomáš Chvátal <scarabeus@gentoo.org>
  -xorg-server-1.7.4.901.ebuild, +xorg-server-1.7.4.902.ebuild:
  Add new xorg-server 1.7.5 RC.

*xorg-server-1.7.4.901 (30 Jan 2010)

  30 Jan 2010; Tomáš Chvátal <scarabeus@gentoo.org>
  +xorg-server-1.7.4.901.ebuild:
  Version bump.

  23 Jan 2010; Tomáš Chvátal <scarabeus@gentoo.org>
  -xorg-server-1.6.3.901-r2.ebuild:
  rm

  18 Jan 2010; Raúl Porcel <armin76@gentoo.org>
  xorg-server-1.6.5-r1.ebuild:
  alpha/ia64/sh/sparc stable wrt #294958

  14 Jan 2010; Markus Meier <maekke@gentoo.org> xorg-server-1.6.5-r1.ebuild:
  arm stable, bug #294958

  14 Jan 2010; Jeroen Roovers <jer@gentoo.org> xorg-server-1.6.5-r1.ebuild:
  Stable for HPPA (bug #294958).

*xorg-server-1.7.4 (10 Jan 2010)

  10 Jan 2010; Tomáš Chvátal <scarabeus@gentoo.org>
  -xorg-server-1.7.3.901-r1.ebuild, -xorg-server-1.7.3.902.ebuild,
  +xorg-server-1.7.4.ebuild:
  Version bump. Drop older.

*xorg-server-1.7.3.902 (27 Dec 2009)

  27 Dec 2009; Tomáš Chvátal <scarabeus@gentoo.org>
  +xorg-server-1.7.3.902.ebuild:
  Version bump.

  27 Dec 2009; Joseph Jezak <josejx@gentoo.org> xorg-server-1.6.5-r1.ebuild:
  Marked ppc stable for bug #294958.

  26 Dec 2009; Tomáš Chvátal <scarabeus@gentoo.org>
  xorg-server-1.7.3.901-r1.ebuild:
  Depend correctly on mesa again.

  24 Dec 2009; Tomáš Chvátal <scarabeus@gentoo.org>
  -xorg-server-1.7.3.ebuild, -xorg-server-1.7.3.901.ebuild,
  xorg-server-1.7.3.901-r1.ebuild:
  Pdepend on mesa instead of rdepend. Drop older versions.

*xorg-server-1.7.3.901-r1 (16 Dec 2009)

  16 Dec 2009; Jim Ramsay <lack@gentoo.org>
  +xorg-server-1.7.3.901-r1.ebuild,
  +files/1.7.3.901-0001-dix-if-owner-events-is-true-for-passive-grabs-add-th
  .patch:
  Upstream patch fixes bug #296514

  15 Dec 2009; Brent Baude <ranger@gentoo.org> xorg-server-1.6.5-r1.ebuild:
  Marking xorg-server-1.6.5-r1 ppc64 stable for bug 294958

  15 Dec 2009; Raúl Porcel <armin76@gentoo.org>
  xorg-server-1.6.3.901-r2.ebuild:
  alpha/ia64/sh/sparc stable wrt #282290

  13 Dec 2009; Rémi Cardona <remi@gentoo.org> xorg-server-1.5.3-r6.ebuild:
  clean up blockers

*xorg-server-1.7.3.901 (13 Dec 2009)

  13 Dec 2009; Tomáš Chvátal <scarabeus@gentoo.org>
  +xorg-server-1.7.3.901.ebuild:
  Add new rc.

  13 Dec 2009; Rémi Cardona <remi@gentoo.org> xorg-server-1.5.3-r6.ebuild:
  drop unused VIDEO_CARDS

  11 Dec 2009; Tomáš Chvátal <scarabeus@gentoo.org>
  -xorg-server-1.5.3-r7.ebuild, -xorg-server-1.6.5.ebuild,
  -xorg-server-1.7.1.ebuild:
  Drop no-longer required ebuild.

  10 Dec 2009; Christian Faulhammer <fauli@gentoo.org>
  xorg-server-1.6.5-r1.ebuild:
  x86 stable, bug 294958

  10 Dec 2009; Samuli Suominen <ssuominen@gentoo.org>
  xorg-server-1.6.5-r1.ebuild:
  amd64 stable wrt #294958

  06 Dec 2009; Tomáš Chvátal <scarabeus@gentoo.org>
  -xorg-server-1.7.2.ebuild:
  Drop broken release.

*xorg-server-1.7.3 (03 Dec 2009)

  03 Dec 2009; Rémi Cardona <remi@gentoo.org> +xorg-server-1.7.3.ebuild:
  bump to 1.7.3

  28 Nov 2009; Tomáš Chvátal <scarabeus@gentoo.org>
  xorg-server-1.5.3-r6.ebuild, xorg-server-1.5.3-r7.ebuild,
  xorg-server-1.6.3.901-r2.ebuild, xorg-server-1.6.5.ebuild,
  xorg-server-1.6.5-r1.ebuild, xorg-server-1.7.1.ebuild,
  xorg-server-1.7.2.ebuild:
  Drop --impl-headers since the call was dropped from new eselect, and
  should be quite useless anyway.

*xorg-server-1.7.2 (28 Nov 2009)

  28 Nov 2009; Tomáš Chvátal <scarabeus@gentoo.org>
  +xorg-server-1.7.2.ebuild:
  Version bump to new stable from 1.7 series.

  22 Nov 2009; Tomáš Chvátal <scarabeus@gentoo.org>
  -files/1.6.4-re-fix-DGA-removal.patch:
  Drop stale patches.

*xorg-server-1.6.5-r1 (18 Nov 2009)

  18 Nov 2009; Rémi Cardona <remi@gentoo.org> -xorg-server-1.6.4.ebuild,
  +xorg-server-1.6.5-r1.ebuild:
  add patches nominated patches for 1.6.6

  29 Oct 2009; Tomáš Chvátal <scarabeus@gentoo.org>
  xorg-server-1.6.5.ebuild:
  Drop down the added blockers since they does not work how i expected.

  29 Oct 2009; Rémi Cardona <remi@gentoo.org> xorg-server-1.7.1.ebuild:
  sync with the overlay, update dmx deps (fixes bug #290866)

  29 Oct 2009; Tomáš Chvátal <scarabeus@gentoo.org>
  xorg-server-1.6.5.ebuild:
  Add proper blockers for xorg-7.5 stuff we dont want with xorg-server-1.6.
  Per bug #290739.

  26 Oct 2009; Jeroen Roovers <jer@gentoo.org>
  xorg-server-1.6.3.901-r2.ebuild:
  Stable for HPPA (bug #282290).

*xorg-server-1.7.1 (23 Oct 2009)

  23 Oct 2009; Tomáš Chvátal <scarabeus@gentoo.org>
  -xorg-server-1.7.0.902.ebuild, +xorg-server-1.7.1.ebuild:
  Version bump.

*xorg-server-1.7.0.902 (19 Oct 2009)

  19 Oct 2009; Tomáš Chvátal <scarabeus@gentoo.org>
  -xorg-server-1.7.0.901.ebuild, +xorg-server-1.7.0.902.ebuild:
  Bump. Remove old one.

*xorg-server-1.7.0.901 (14 Oct 2009)

  14 Oct 2009; Tomáš Chvátal <scarabeus@gentoo.org>
  -files/1.7.0-xkb-check-permissions-on-XKM_OUTPUT_DIR.patch,
  -xorg-server-1.7.0.ebuild, +xorg-server-1.7.0.901.ebuild:
  Version bup xorg-server 1.7. Remove old one.

*xorg-server-1.6.5 (12 Oct 2009)

  12 Oct 2009; Rémi Cardona <remi@gentoo.org> +xorg-server-1.6.5.ebuild:
  bump to 1.6.5, has the DGA fix

  11 Oct 2009; nixnut <nixnut@gentoo.org> xorg-server-1.6.3.901-r2.ebuild:
  ppc stable #282290

  09 Oct 2009; Markus Meier <maekke@gentoo.org>
  xorg-server-1.6.3.901-r2.ebuild:
  arm stable, bug #282290

  05 Oct 2009; Christian Faulhammer <fauli@gentoo.org>
  xorg-server-1.6.3.901-r2.ebuild:
  x86 stable, bug 282290

*xorg-server-1.7.0 (03 Oct 2009)

  03 Oct 2009; Tomáš Chvátal <scarabeus@gentoo.org>
  +files/1.7.0-xkb-check-permissions-on-XKM_OUTPUT_DIR.patch,
  +xorg-server-1.7.0.ebuild:
  Version bump for xorg-server 1.7.

  02 Oct 2009; Rémi Cardona <remi@gentoo.org>
  +files/1.6.4-re-fix-DGA-removal.patch, xorg-server-1.6.4.ebuild:
  add patch to fix crasher bug #286746

  30 Sep 2009; Samuli Suominen <ssuominen@gentoo.org>
  xorg-server-1.6.3.901-r2.ebuild:
  amd64 stable wrt #282290

*xorg-server-1.6.4 (28 Sep 2009)

  28 Sep 2009; Rémi Cardona <remi@gentoo.org> +xorg-server-1.6.4.ebuild:
  bump to 1.6.4

  28 Sep 2009; Rémi Cardona <remi@gentoo.org>
  -files/1.2.0-fix-amd-cpu-detection.patch,
  -files/1.3.0.0-fix-dual-head-screen-resolutions.patch,
  -files/xorg-server-sam225bw-quirks.patch,
  -files/xorg-x11-server-1.0.1-fpic-libxf86config.patch,
  -files/xorg-server-1.4.0.90-automake-1.10.1-fixup.patch,
  -files/xorg-xserver-1.4-cve-2008-1377.diff,
  -files/xorg-xserver-1.4-cve-2008-1379.diff,
  -files/xorg-xserver-1.4-cve-2008-2360.diff,
  -files/xorg-xserver-1.4-cve-2008-2361.diff,
  -files/xorg-xserver-1.4-cve-2008-2362.diff, -xorg-server-1.6.3.ebuild,
  -files/1.3-0003-Fix-for-CVE-2007-6427-Xinput-extension-memory-corr.patch,
  -files/1.2.0-properly-free-device-devprivates-memory-leak-fix.patch,
  -files/1.3.0.0-fix-randr-resizing.patch,
  -files/1.5.1/0001-only-build-dri2-when-DRI2-is-enabled.patch,
  -xorg-server-1.6.3.901.ebuild, -xorg-server-1.6.3.901-r1.ebuild,
  -files/1.3-0006-Fix-for-CVE-2007-5958-File-existence-disclosure.patch,
  -files/1.2.0-typo-fix.patch,
  -files/1.2.0-zero-out-client-devprivates-on-allocation.patch,
  -files/1.3.0.0-fix-xephyr-amd64-segfault.patch,
  -files/1.3.0.0-fix-xkb-openoffice-hangs.patch,
  -files/1.3.0.0-ramdac.patch, -files/1.3.0.0-use-proc-instead-of-sys.patch,
  -files/1.3.0.0-xephyr_crash_at_exit.patch,
  -files/1.3-alpha-build-fix.patch,
  -files/1.4-0001-Fix-for-CVE-2007-5760-XFree86-Misc-extension-out-o.patch,
  -files/1.4-0002-Fix-for-CVE-2007-6428-TOG-cup-extension-memory-cor.patch,
  -files/1.4-0003-Fix-for-CVE-2007-6427-Xinput-extension-memory-corr.patch,
  -files/1.4-0004-Fix-for-CVE-2007-6429-MIT-SHM-and-EVI-extensions-i.patch,
  -files/1.4-0005-Fix-for-CVE-2008-0006-PCF-Font-parser-buffer-overf.patch,
  -files/1.4-0006-Fix-for-CVE-2007-5958-File-existence-disclosure.patch,
  -files/1.4-0007-CVE-2007-6429-Don-t-spuriously-reject-8bpp-shm-pix.patch,
  -files/1.4-0008-CVE-2007-6429-Always-test-for-size-offset-wrapping.patch,
  -files/1.4-0009-Don-t-break-grab-and-focus-state-for-a-window-when-r.patch
  , -files/1.4-document-new-font-catalogs.patch,
  -files/1.4-dont-hang-openoffice.patch, -files/1.4-fix-dmx-build.patch,
  -files/1.4-fix-dmx-link.patch, -files/1.4-fix-xephyr-link.patch,
  -files/1.4-fix-xprint-build.patch, -files/1.4-fix-xprint-link.patch,
  -files/1.4-ia64.patch, -files/1.4.0.90-clean-generated-files.patch,
  -files/1.5.2-fix-xvesa-with-new-kernels.patch,
  -files/1.5.2-force-LC_ALL-C-when-running-awk.patch,
  -files/1.5.3-builtin-fonts.patch,
  -files/avoid-crash-on-minimized-xv-window.patch,
  -files/use-composite-for-unequal-depths.patch, -files/xprint.init:
  drop old ebuilds, prune ${FILESDIR}

  19 Sep 2009; Rémi Cardona <remi@gentoo.org> xorg-server-1.5.3-r6.ebuild,
  xorg-server-1.5.3-r7.ebuild:
  add missing openssl dep (fixes bug #283841)

  19 Sep 2009; Tomáš Chvátal <scarabeus@gentoo.org>
  -xorg-server-1.3.0.0-r6.ebuild, -xorg-server-1.4.2.ebuild:
  Cleanup. Removal of old xorg versions.

*xorg-server-1.6.3.901-r2 (15 Sep 2009)

  15 Sep 2009; Tomáš Chvátal <scarabeus@gentoo.org>
  +xorg-server-1.6.3.901-r2.ebuild:
  Version bump to have working env with eselect-opengl 1.0.8

  04 Sep 2009; Rémi Cardona <remi@gentoo.org>
  xorg-server-1.6.3.901-r1.ebuild:
  small clean ups in ebuild, sync up with -9999 from x11 overlay

*xorg-server-1.6.3.901-r1 (04 Sep 2009)

  04 Sep 2009; Rémi Cardona <remi@gentoo.org>
  +xorg-server-1.6.3.901-r1.ebuild,
  +files/1.6.3.901-0001-dix-append-built-ins-to-the-font-path-in-SetDefaultF
  .patch:
  add a patch to fix bug #278487, split drivers into x11-base/xorg-drivers

  26 Aug 2009; Rémi Cardona <remi@gentoo.org>
  -xorg-server-1.6.2.901.ebuild:
  drop old ebuilds

*xorg-server-1.6.3.901 (26 Aug 2009)

  26 Aug 2009; Rémi Cardona <remi@gentoo.org>
  +xorg-server-1.6.3.901.ebuild:
  bump to 1.6.3.901 (should fix bugs #280443, #281634 and #281698)

  14 Aug 2009; Rémi Cardona <remi@gentoo.org>
  xorg-server-1.3.0.0-r6.ebuild, xorg-server-1.4.2.ebuild:
  drop the old synaptics driver from DEPEND

  10 Aug 2009; Rémi Cardona <remi@gentoo.org> xorg-server-1.5.3-r6.ebuild,
  xorg-server-1.5.3-r7.ebuild, xorg-server-1.6.2.901.ebuild,
  xorg-server-1.6.3.ebuild:
  reverting the previous commit, see bug #278487

  08 Aug 2009; Gordon Malm <gengor@gentoo.org> xorg-server-1.5.3-r6.ebuild,
  xorg-server-1.5.3-r7.ebuild, xorg-server-1.6.2.901.ebuild,
  xorg-server-1.6.3.ebuild:
  Xvfb requires font-cursor-misc runtime, bug #278487.

  02 Aug 2009; Rémi Cardona <remi@gentoo.org> -xorg-server-1.6.2.ebuild,
  -xorg-server-1.6.2-r1.ebuild:
  drop old ebuilds

*xorg-server-1.6.3 (02 Aug 2009)

  02 Aug 2009; Rémi Cardona <remi@gentoo.org> +xorg-server-1.6.3.ebuild:
  bump to 1.6.3, drop useless D-Bus sed hack

  01 Aug 2009; Tomáš Chvátal <scarabeus@gentoo.org>
  xorg-server-1.5.3-r6.ebuild:
  Remove fglrx occurance in remaining stable server. Silences repoman quite
  well.

  29 Jul 2009; Tomáš Chvátal <scarabeus@gentoo.org>
  xorg-server-1.3.0.0-r6.ebuild:
  Version 1.3 no longer supports fglrx module.

*xorg-server-1.6.2.901 (28 Jul 2009)

  28 Jul 2009; Rémi Cardona <remi@gentoo.org>
  +xorg-server-1.6.2.901.ebuild:
  bump to 1.6.2.901 with two patches to fix bug #278760

  17 Jul 2009; Mart Raudsepp <leio@gentoo.org> xorg-server-1.6.2.ebuild,
  xorg-server-1.6.2-r1.ebuild:
  Update VIDEO_CARDS=geode dependency to xf86-video-geode-2.11, as earlier
  versions do not compile against xorg-server-1.6+

  17 Jul 2009; Rémi Cardona <remi@gentoo.org> xorg-server-1.6.2-r1.ebuild:
  make the ebuild call eautoreconf (fixes bug #276187 again)

  13 Jul 2009; Rémi Cardona <remi@gentoo.org>
  xorg-server-1.3.0.0-r6.ebuild, xorg-server-1.4.2.ebuild,
  xorg-server-1.5.3-r6.ebuild, xorg-server-1.5.3-r7.ebuild,
  xorg-server-1.6.2.ebuild, xorg-server-1.6.2-r1.ebuild:
  drop unsupported drivers from INPUT_DEVICES (see bug #277521)

  11 Jul 2009; Rémi Cardona <remi@gentoo.org> xorg-server-1.6.2.ebuild,
  xorg-server-1.6.2-r1.ebuild:
  add newport back (see bug #277034)

  10 Jul 2009; Rémi Cardona <remi@gentoo.org>
  -xorg-server-1.6.1.901-r4.ebuild, -xorg-server-1.6.1.902.ebuild,
  -xorg-server-1.6.1.902-r1.ebuild:
  drop old ebuilds

*xorg-server-1.6.2-r1 (10 Jul 2009)

  10 Jul 2009; Rémi Cardona <remi@gentoo.org> +xorg-server-1.6.2-r1.ebuild:
  backport another few fixes from upstream

  08 Jul 2009; Rémi Cardona <remi@gentoo.org> xorg-server-1.6.2.ebuild:
  backport patch to fix build on BSD (fixes bug #276187)

*xorg-server-1.6.2 (08 Jul 2009)

  08 Jul 2009; Rémi Cardona <remi@gentoo.org> +xorg-server-1.6.2.ebuild:
  bump to 1.6.2 still with patches (one for libXinerama dep, the other for
  xfs bug #236847)

*xorg-server-1.6.1.902-r1 (06 Jul 2009)

  06 Jul 2009; Rémi Cardona <remi@gentoo.org>
  +xorg-server-1.6.1.902-r1.ebuild:
  add 2 more patches to drop useless dep on libXinerama (fixes bug #270648)

  06 Jul 2009; Rémi Cardona <remi@gentoo.org>
  -xorg-server-1.6.1.901-r5.ebuild:
  drop broken RC

  06 Jul 2009; Tomáš Chvátal <scarabeus@gentoo.org>
  xorg-server-1.6.1.902.ebuild:
  Adjust ati-drivers dependency on 9.6.

*xorg-server-1.6.1.902 (03 Jul 2009)

  03 Jul 2009; Rémi Cardona <remi@gentoo.org>
  +xorg-server-1.6.1.902.ebuild:
  bump to 1.6.1.902, add a couple patches to tentatively fix bug #275861

*xorg-server-1.6.1.901-r5 (28 Jun 2009)

  28 Jun 2009; Rémi Cardona <remi@gentoo.org>
  +xorg-server-1.6.1.901-r5.ebuild:
  backport some more patches from upstream's 1.6 nominations, bump dri2proto
  dep to 2.1

  28 Jun 2009; Rémi Cardona <remi@gentoo.org> -xorg-server-1.5.3-r5.ebuild,
  -xorg-server-1.6.1.901-r2.ebuild, -xorg-server-1.6.1.901-r3.ebuild:
  drop old ebuilds

  24 Jun 2009; Doug Goldstein <cardoe@gentoo.org>
  xorg-server-1.6.1.901-r2.ebuild, xorg-server-1.6.1.901-r3.ebuild,
  xorg-server-1.6.1.901-r4.ebuild:
  re-apply the same nvidia-drivers fix from several months ago cause it
  keeps disapearing.

  23 Jun 2009; Tobias Klausmann <klausman@gentoo.org>
  xorg-server-1.5.3-r6.ebuild:
  Stable on alpha, finally

*xorg-server-1.6.1.901-r4 (23 Jun 2009)
*xorg-server-1.5.3-r7 (23 Jun 2009)

  23 Jun 2009; Tomáš Chvátal <scarabeus@gentoo.org>
  +xorg-server-1.5.3-r7.ebuild, +xorg-server-1.6.1.901-r4.ebuild:
  Apply fix for binary driver collision. Per bug #274959.

  28 May 2009; Raúl Porcel <armin76@gentoo.org>
  xorg-server-1.5.3-r6.ebuild, xorg-server-1.6.1.901-r2.ebuild,
  xorg-server-1.6.1.901-r3.ebuild:
  Add ~alpha

  27 May 2009; Raúl Porcel <armin76@gentoo.org>
  xorg-server-1.5.3-r6.ebuild:
  ia64/sh/sparc stable wrt #269950

  25 May 2009; Jeroen Roovers <jer@gentoo.org> xorg-server-1.5.3-r6.ebuild:
  Stable for HPPA (bug #269950).

  25 May 2009; Rémi Cardona <remi@gentoo.org> -xorg-server-1.5.3-r4.ebuild,
  -xorg-server-1.6.1.901.ebuild, -xorg-server-1.6.1.901-r1.ebuild:
  prune old versions

*xorg-server-1.6.1.901-r3 (25 May 2009)

  25 May 2009; Rémi Cardona <remi@gentoo.org>
  +xorg-server-1.6.1.901-r3.ebuild:
  add 2 more patches from upstream's 1.6 branch

  24 May 2009; Markus Meier <maekke@gentoo.org> xorg-server-1.5.3-r6.ebuild:
  amd64 stable, bug #269950

*xorg-server-1.6.1.901-r2 (22 May 2009)

  22 May 2009; Rémi Cardona <remi@gentoo.org>
  +xorg-server-1.6.1.901-r2.ebuild:
  don't change the font path, the default is perfectly fine now (should fix
  bug #264054)

  22 May 2009; Christian Faulhammer <fauli@gentoo.org>
  xorg-server-1.5.3-r6.ebuild:
  stable x86, bug 269950

  20 May 2009; Brent Baude <ranger@gentoo.org> xorg-server-1.5.3-r6.ebuild:
  Marking xorg-server-1.5.3-r6 ppc64 and ppc for bug 269950

  20 May 2009; Rémi Cardona <remi@gentoo.org> xorg-server-1.6.1.901.ebuild,
  xorg-server-1.6.1.901-r1.ebuild:
  drop 3dfx USE flag from 1.6, there's no reason for the server to do that,
  xf86-video-tdfx will PDEPEND on glide instead

*xorg-server-1.6.1.901-r1 (17 May 2009)

  17 May 2009; Rémi Cardona <remi@gentoo.org>
  +xorg-server-1.6.1.901-r1.ebuild:
  add patches nominated for the 1.6 branch

*xorg-server-1.6.1.901 (16 May 2009)

  16 May 2009; Rémi Cardona <remi@gentoo.org>
  +xorg-server-1.6.1.901.ebuild:
  bump to 1.6.1.901 with patches from the upcoming 1.6.2

  15 May 2009; Raúl Porcel <armin76@gentoo.org>
  xorg-server-1.5.3-r6.ebuild:
  arm stable

  13 May 2009; Rémi Cardona <remi@gentoo.org>
  xorg-server-1.3.0.0-r6.ebuild, xorg-server-1.4.2.ebuild:
  drop XPrint support from 1.3 and 1.4, no-one missed it in 1.5 and dropping
  it in the older servers will help with portage-wide clean-ups

  10 May 2009; Rémi Cardona <remi@gentoo.org> xorg-server-1.5.3-r5.ebuild,
  xorg-server-1.5.3-r6.ebuild:
  add x11-apps/xkbcomp to RDEPEND, fixes bug #265480

*xorg-server-1.5.3-r6 (07 May 2009)

  07 May 2009; Rémi Cardona <remi@gentoo.org> +xorg-server-1.5.3-r6.ebuild:
  rewrite the complete git history in the patchball, add more patches from
  upstream's 1.5 branch, add 2 patches to fix a cross-compile bug (see bug
  #263679)

  05 May 2009; Rémi Cardona <remi@gentoo.org>
  xorg-server-1.3.0.0-r6.ebuild:
  drop x11-misc/xkbdata support (see bug #196650)

  05 May 2009; Rémi Cardona <remi@gentoo.org> xorg-server-1.4.2.ebuild,
  xorg-server-1.5.3-r4.ebuild, xorg-server-1.5.3-r5.ebuild:
  hard-disable dtrace support (fixes bug #263274)

  16 Apr 2009; Jeroen Roovers <jer@gentoo.org> xorg-server-1.5.3-r5.ebuild:
  Stable for HPPA (bug #251832).

  16 Apr 2009; Gordon Malm <gengor@gentoo.org> xorg-server-1.4.2.ebuild,
  xorg-server-1.5.3-r4.ebuild, xorg-server-1.5.3-r5.ebuild:
  Filter SSP when building with <GCC4 on x86 only, bug #244352

  15 Apr 2009; Gordon Malm <gengor@gentoo.org> xorg-server-1.4.2.ebuild,
  xorg-server-1.5.3-r4.ebuild, xorg-server-1.5.3-r5.ebuild:
  Filter SSP when building with <GCC4, bug #244352

  15 Apr 2009; Raúl Porcel <armin76@gentoo.org>
  xorg-server-1.5.3-r5.ebuild:
  ia64/sh stable wrt #251832

  07 Apr 2009; Rémi Cardona <remi@gentoo.org> -xorg-server-1.5.2.ebuild,
  -xorg-server-1.5.3.ebuild, -xorg-server-1.5.3-r1.ebuild,
  -xorg-server-1.5.3-r2.ebuild, -xorg-server-1.5.3-r3.ebuild:
  prune older versions

  06 Apr 2009; Friedrich Oslage <bluebird@gentoo.org>
  xorg-server-1.5.3-r5.ebuild:
  Stable on sparc, bug #251832

  05 Apr 2009; Markus Meier <maekke@gentoo.org> xorg-server-1.5.3-r5.ebuild:
  x86 stable, bug #251832

  05 Apr 2009; Olivier Crête <tester@gentoo.org>
  xorg-server-1.5.3-r5.ebuild:
  Stable on amd64, bug #251832

  03 Apr 2009; Brent Baude <ranger@gentoo.org> xorg-server-1.5.3-r5.ebuild:
  Marking xorg-server-1.5.3-r5 ppc64 stable for bug 251832

  03 Apr 2009; Brent Baude <ranger@gentoo.org> xorg-server-1.5.3-r5.ebuild:
  Marking xorg-server-1.5.3-r5 ppc stable for bug 251832

  19 Mar 2009; <solar@gentoo.org> xorg-server-1.5.3-r5.ebuild:
  - tie in the libXCalibrate to wrap up xtscal support when tslib is enabled

*xorg-server-1.5.3-r5 (16 Mar 2009)

  16 Mar 2009; Rémi Cardona <remi@gentoo.org> +xorg-server-1.5.3-r5.ebuild:
  backport patches to fix useless freetype error message (bug #261934) and
  to always put the console into RAW mode (evdev related, bug #260700)

  12 Mar 2009; Raúl Porcel <armin76@gentoo.org>
  xorg-server-1.5.3-r4.ebuild:
  Add ~arm/~sh

*xorg-server-1.5.3-r4 (11 Mar 2009)

  11 Mar 2009; Rémi Cardona <remi@gentoo.org> +xorg-server-1.5.3-r4.ebuild:
  add a patch to fix xfs (bug #236847), remove unsupported video cards (bug
  #261799)

  11 Mar 2009; Markus Ullmann <jokey@gentoo.org>
  xorg-server-1.5.3-r3.ebuild:
  Add virtualbox use_expand for bug #238848

*xorg-server-1.5.3-r3 (07 Mar 2009)

  07 Mar 2009; Rémi Cardona <remi@gentoo.org> +xorg-server-1.5.3-r3.ebuild:
  add patches to allow building with libXfont 1.4

  02 Mar 2009; Peter Volkov <pva@gentoo.org> xorg-server-1.5.3-r2.ebuild:
  newport works on mips, no need to block with it.

  23 Feb 2009; Joshua Kinard <kumba@gentoo.org> xorg-server-1.5.3-r2.ebuild:
  Added ~mips to KEYWORDS for #237411

  19 Feb 2009; Rémi Cardona <remi@gentoo.org> xorg-server-1.5.3-r2.ebuild:
  drop liblbxutil dep, there are no references to it in the sources

*xorg-server-1.5.3-r2 (05 Feb 2009)

  05 Feb 2009; Rémi Cardona <remi@gentoo.org> +xorg-server-1.5.3-r2.ebuild:
  bump to patchset 4 which fixes a screensaver bug, a xinerama bug (bug
  #18668) and hopefully bitmap fonts as well (bugs #257206 and #255082),
  drop --with-default-font-path as 'built-ins' is always appended internally
  (patch #60)

  25 Jan 2009; Rémi Cardona <remi@gentoo.org> xorg-server-1.5.3-r1.ebuild:
  silently update the patch-ball to 03 to fix bug #19691

*xorg-server-1.5.3-r1 (13 Jan 2009)

  13 Jan 2009; Rémi Cardona <remi@gentoo.org> +xorg-server-1.5.3-r1.ebuild:
  include patches from upstream's server-1.5-branch and backport more EXA
  fixes (including one for bug #251242)

  16 Dec 2008; Brent Baude <ranger@gentoo.org> xorg-server-1.5.3.ebuild:
  Marking xorg-server-1.5.3 ~ppc64 for bug 237411

  16 Dec 2008; Jeroen Roovers <jer@gentoo.org> xorg-server-1.5.3.ebuild:
  Marked ~hppa (bug #237411).

  15 Dec 2008; Rémi Cardona <remi@gentoo.org> xorg-server-1.5.3.ebuild:
  bump xkeyboard-config dep to 1.4, first version to provide the evdev
  ruleset (thanks to Sven Köhler)

*xorg-server-1.5.3 (15 Dec 2008)

  15 Dec 2008; Rémi Cardona <remi@gentoo.org>
  +files/1.5.3-builtin-fonts.patch, +xorg-server-1.5.3.ebuild:
  bump to 1.5.3 with a monster EXA backport from git master

  13 Dec 2008; Doug Goldstein <cardoe@gentoo.org> xorg-server-1.4.2.ebuild,
  xorg-server-1.5.2.ebuild:
  each nvidia-drivers pkg now specifies what Xorg version it's compatible
  with. Just pull in the best nvidia-drivers version possible now.

  19 Nov 2008; Luca Barbato <lu_zero@gentoo.org> xorg-server-1.5.2.ebuild:
  ati-drivers now support xorg 1.5

  02 Nov 2008; Ryan Hill <dirtyepic@gentoo.org> metadata.xml:
  Tweak tslib flag descrip.

  01 Nov 2008; <solar@gentoo.org> metadata.xml, xorg-server-1.4.2.ebuild,
  xorg-server-1.5.2.ebuild:
  - add local tslib support

  26 Oct 2008; Rémi Cardona <remi@gentoo.org>
  +files/1.5.2-fix-xvesa-with-new-kernels.patch, xorg-server-1.5.2.ebuild:
  add patch to fix KDrive's Xvesa build (fixes bug #235789)

  22 Oct 2008; Rémi Cardona <remi@gentoo.org>
  xorg-server-1.3.0.0-r6.ebuild, xorg-server-1.4.2.ebuild,
  xorg-server-1.5.2.ebuild:
  pkgmove from xf86-video-i810 to xf86-video-intel

  21 Oct 2008; Rémi Cardona <remi@gentoo.org> xorg-server-1.5.2.ebuild:
  patch has been sent upstream, updating ebuild to reflect that

  18 Oct 2008; Rémi Cardona <remi@gentoo.org>
  -files/1.5.2-force-LANG-C-when-running-awk-due-to-unintended-erro.patch,
  +files/1.5.2-force-LC_ALL-C-when-running-awk.patch,
  xorg-server-1.5.2.ebuild:
  another patch to fix bug #237119

  17 Oct 2008; Rémi Cardona <remi@gentoo.org>
  +files/1.5.2-force-LANG-C-when-running-awk-due-to-unintended-erro.patch,
  xorg-server-1.5.2.ebuild:
  add patch to fix build issue with some locales (see bug #237119)

  14 Oct 2008; Donnie Berkholz <dberkholz@gentoo.org>;
  -xorg-server-1.3.0.0-r4.ebuild, -xorg-server-1.3.0.0-r5.ebuild,
  xorg-server-1.3.0.0-r6.ebuild, -xorg-server-1.4.0.90-r3.ebuild,
  -xorg-server-1.4.99.902.ebuild, -xorg-server-1.4.99.905.ebuild,
  -xorg-server-1.4.99.906.ebuild, -xorg-server-1.5.0.ebuild,
  -xorg-server-1.5.1.ebuild:
  Clean up old ebuilds.

  14 Oct 2008; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.5.2.ebuild:
  Update a few dependencies. Require at least evdev 2.0.6, mutouch 1.2.1,
  xtrans 1.2.2.

*xorg-server-1.5.2 (14 Oct 2008)

  14 Oct 2008; Donnie Berkholz <dberkholz@gentoo.org>;
  +xorg-server-1.5.2.ebuild:
  Version bump.

  03 Oct 2008; Raúl Porcel <armin76@gentoo.org> xorg-server-1.5.1.ebuild:
  Add ~ia64 wrt #237411

*xorg-server-1.5.1 (29 Sep 2008)

  29 Sep 2008; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/1.5.1/0001-only-build-dri2-when-DRI2-is-enabled.patch,
  +xorg-server-1.5.1.ebuild:
  (#238841) Version bump. (#236900) Re-enable XTrap and Record extensions
  except when USE=minimal.

  24 Sep 2008; Alexis Ballier <aballier@gentoo.org>
  xorg-server-1.5.0.ebuild:
  keyword ~x86-fbsd

  23 Sep 2008; Markus Rothe <corsair@gentoo.org> xorg-server-1.5.0.ebuild:
  Added ~ppc

  15 Sep 2008; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.5.0.ebuild:
  (#237411) Add VIDEO_CARDS=ast to IUSE.

  14 Sep 2008; Friedrich Oslage <bluebird@gentoo.org>
  xorg-server-1.5.0.ebuild:
  Add ~sparc keyword, bug #237411

  07 Sep 2008; Carsten Lohrke <carlo@gentoo.org> metadata.xml:
  Fix a typo.

  06 Sep 2008; <chainsaw@gentoo.org> xorg-server-1.5.0.ebuild:
  Only depend on x11-drivers/xf86-input-synaptics as the older package does
  not build against this new server. Closes bug #236870 by Seemant Kulleen
  <seemant_g2@kulleen.org>.

*xorg-server-1.5.0 (06 Sep 2008)

  06 Sep 2008; Donnie Berkholz <dberkholz@gentoo.org>;
  +xorg-server-1.5.0.ebuild:
  Version bump.

  05 Aug 2008; Doug Goldstein <cardoe@gentoo.org> metadata.xml:
  add GLEP 56 USE flag desc from use.local.desc

*xorg-server-1.4.99.906 (26 Jul 2008)

  26 Jul 2008; Donnie Berkholz <dberkholz@gentoo.org>;
  +xorg-server-1.4.99.906.ebuild:
  Bump, keyword ~x86.

  05 Jul 2008; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.4.99.905.ebuild:
  Update dependencies to the new versions I bumped yesterday.

*xorg-server-1.4.99.905 (01 Jul 2008)

  01 Jul 2008; Donnie Berkholz <dberkholz@gentoo.org>;
  +xorg-server-1.4.99.905.ebuild:
  Bump to the latest RC.

  27 Jun 2008; Donnie Berkholz <dberkholz@gentoo.org>;
  -files/1.4.2-unbreak-endianess.patch, xorg-server-1.4.2.ebuild:
  (#227821) Remove patch because ati 6.9 driver appears to work fine without
  it and breaks with it. If anyone wants to revert this, please discuss it
  on the bug in advance.

  27 Jun 2008; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.4.2.ebuild, xorg-server-1.4.99.902.ebuild:
  Update deps related to xf86-video-ati split out of mach64/r128 drivers.
  Pull in the latest versions of each.

  24 Jun 2008; <chainsaw@gentoo.org> xorg-server-1.4.99.902.ebuild:
  As of 173.14.09 we can stop blocking the nVidia proprietary drivers for
  the 1.5 pre-release. Closes bug #226151 by Chris Gianelloni
  <wolf31o2@gentoo.org>.

  17 Jun 2008; Hanno Boeck <hanno@gentoo.org> xorg-server-1.4.99.902.ebuild:
  Lower pixman dep, pixman 0.11 has many issues.

  15 Jun 2008; Jeroen Roovers <jer@gentoo.org>
  xorg-server-1.3.0.0-r6.ebuild:
  Stable for HPPA (bug #225419).

  15 Jun 2008; Luca Barbato <lu_zero@gentoo.org>
  +files/1.4.2-unbreak-endianess.patch, xorg-server-1.4.2.ebuild:
  Make xorg-server build again on ppc

  13 Jun 2008; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.4.2.ebuild:
  void driver must be at least 1.1.1.

  13 Jun 2008; Steve Dibb <beandog@gentoo.org>
  xorg-server-1.3.0.0-r6.ebuild:
  amd64 stable, bug 225419

  13 Jun 2008; Tobias Scherbaum <dertobi123@gentoo.org>
  xorg-server-1.3.0.0-r6.ebuild:
  ppc stable, bug #225419

  11 Jun 2008; Donnie Berkholz <dberkholz@gentoo.org>;
  -files/1.4.0.90/0004-Config-D-Bus-Don-t-leak-timers.patch,
  -files/1.4.0.90/0006-OS-Don-t-leak-connection-translation-table-on-regen.p
  atch, -files/1.4.0.90/0012-Xephyr-One-time-keyboard-leak-fix.patch,
  -files/1.4.0.90/0002-bgPixel-unsigned-long-is-64-bit-on-x86_64-so-1.patch,
  -files/1.4.0.90/0013-Fix-for-CVE-2007-5760-XFree86-Misc-extension-out-o.pa
  tch,
  -files/1.4.0.90/0005-Config-HAL-Don-t-leak-options-on-failure-to-add-de.pa
  tch,
  -files/1.4.0.90/0018-Fix-for-CVE-2007-5958-File-existence-disclosure.patch
  ,
  -files/1.4.0.90/0007-KDrive-Xephyr-Don-t-leak-screen-damage-structure.patc
  h,
  -files/1.4.0.90/0015-Fix-for-CVE-2007-6427-Xinput-extension-memory-corr.pa
  tch,
  -files/1.4.0.90/0014-Fix-for-CVE-2007-6428-TOG-cup-extension-memory-cor.pa
  tch,
  -files/1.4.0.90/0019-CVE-2007-6429-Don-t-spuriously-reject-8bpp-shm-pix.pa
  tch,
  -files/1.4.0.90/0016-Fix-for-CVE-2007-6429-MIT-SHM-and-EVI-extensions-i.pa
  tch,
  -files/1.4.0.90/0017-Fix-for-CVE-2008-0006-PCF-Font-parser-buffer-overf.pa
  tch,
  -files/1.4.0.90/0040-Bug-10324-dix-Add-scaling-of-X-and-Y-on-the-repo.patc
  h,
  -files/1.4.0.90/0001-Bug-13308-Verify-and-reject-obviously-broken-modes.pa
  tch, -files/1.4.0.90/0003-Xprint-Clean-up-generated-files.patch,
  -files/1.4.0.90/0008-Input-Don-t-reinit-devices.patch,
  -files/1.4.0.90/0009-include-never-overwrite-realInputProc-with-enqueueI.p
  atch, -files/1.4.0.90/0010-OS-IO-Zero-out-client-buffers.patch,
  -files/1.4.0.90/0011-XKB-XkbCopyKeymap-Don-t-leak-all-the-sections.patch,
  -files/1.4.0.90/0020-dix-set-the-correct-number-of-valuators-in-valuator.p
  atch,
  -files/1.4.0.90/0041-dix-Skip-call-to-clipAxis-for-relative-core-events.pa
  tch,
  -files/1.4.0.90/0021-xkb-don-t-update-LEDs-if-they-don-t-exist.-Bug-13.pat
  ch,
  -files/1.4.0.90/0042-dix-Move-motion-history-update-until-after-screen-c.p
  atch,
  -files/1.4.0.90/0022-security-Fix-for-Bug-14480-untrusted-access-broke.pat
  ch,
  -files/1.4.0.90/0023-Resize-composite-overlay-window-when-the-root-window.
  patch,
  -files/1.4.0.90/0024-Fix-rotation-for-multi-monitor-situation.patch,
  -files/1.4.0.90/0025-Don-t-break-grab-and-focus-state-for-a-window-when-r.
  patch, -files/1.4.0.90/0043-XKB-Actually-explain-keymap-failures.patch,
  -files/1.4.0.90/0026-CVE-2007-6429-Always-test-for-size-offset-wrapping.pa
  tch,
  -files/1.4.0.90/0027-Fix-context-sharing-between-direct-indirect-contexts.
  patch,
  -files/1.4.0.90/0028-Add-some-more-support-for-DragonFly.-From-Joerg-Sonn.
  patch, -files/1.4.0.90/0029-configure.ac-DragonFly-BSD-support.patch,
  -files/1.4.0.90/0044-kdrive-allow-disabling-Composite.patch,
  -files/1.4.0.90/0030-Fixed-configure.ac-for-autoconf-2.62.patch,
  -files/1.4.0.90/0031-EXA-Fix-off-by-one-in-polyline-drawing.patch,
  -files/1.4.0.90/0032-XKB-Fix-processInputProc-wrapping.patch,
  -files/1.4.0.90/0045-When-XKB-fails-to-open-rules-file-log-the-file-name.p
  atch,
  -files/1.4.0.90/0033-xfree86-fix-AlwaysCore-handling.-Bug-14256.patch,
  -files/1.4.0.90/0034-Ignore-not-just-block-SIGALRM-around-Popen-Pcl.patch,
  -files/1.4.0.90/0035-Fix-build-on-FreeBSD-after-Popen-changes.patch,
  -files/1.4.0.90/0036-So-like-checking-return-codes-of-system-calls-sig.pat
  ch,
  -files/1.4.0.90/0037-Check-for-sys-sdt.h-as-well-when-determining-to-en.pa
  tch,
  -files/1.4.0.90/0038-dix-Always-add-valuator-information-if-present.patch,
  -files/1.4.0.90/0046-dmx-fix-build-by-adding-New-Delete-InputDeviceRequ.pa
  tch,
  -files/1.4.0.90/0039-Bug-10324-dix-Allow-arbitrary-value-ranges-in-Ge.patc
  h, -files/1.4.0.90/0047-dmx-link-in-XSERVER_LIBS.patch,
  -files/1.4.0.90/0048-xephyr-fix-linking-by-adding-pixman-and-using-XSERV.p
  atch,
  -files/1.4.0.90/0049-xprint-fix-build-by-adding-New-Delete-InputDeviceR.pa
  tch,
  -files/1.4.0.90/0050-xprint-fix-linking-by-including-XSERVER_LIBS.patch,
  -files/1.4.0.90/0051-Fix-RandR-1.2-driver-interface-conversion-of-two-col.
  patch,
  -files/1.4.0.90/0052-Fix-overly-restrictive-integer-overflow-check-in-EXA.
  patch, -files/1.4.0.90/0053-Fix-hal-shutdown-crash.patch,
  -files/1.4.0.90/0054-Bump-DEFAULT_DPI-to-96.patch,
  -files/1.4.0.90/0055-Bug-13962-Re-arm-the-DPMS-timer-when-re-enabling-D.pa
  tch,
  -files/1.4.0.90/0056-Prevent-the-wm-command-line-option-from-causing-a-S.p
  atch,
  -files/1.4.0.90/0057-EXA-Skip-empty-glyphs.-cherry-picked-from-commit-c.pa
  tch,
  -files/1.4.0.90/0058-xf86-Add-AutoConfig-driver-for-PCI-ID-1022-2081-to.pa
  tch,
  -files/1.4.0.90/0059-xkb-when-copying-the-keymap-make-sure-the-structs.pat
  ch, -xorg-server-1.4.0.90-r4.ebuild:
  This had pretty much the same patches that are in 1.4.2.

  11 Jun 2008; Brent Baude <ranger@gentoo.org>
  xorg-server-1.3.0.0-r6.ebuild:
  Marking xorg-server-1.3.0.0-r6 ppc64 for bug 225419

  11 Jun 2008; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.3.0.0-r6.ebuild:
  (#225419) Tested for stable on the bug.

*xorg-server-1.4.2 (11 Jun 2008)
*xorg-server-1.3.0.0-r6 (11 Jun 2008)

  11 Jun 2008; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/xorg-xserver-1.4-cve-2008-1377.diff,
  +files/xorg-xserver-1.4-cve-2008-2360.diff,
  +files/xorg-xserver-1.4-cve-2008-1379.diff,
  +files/xorg-xserver-1.4-cve-2008-2361.diff,
  +files/xorg-xserver-1.4-cve-2008-2362.diff,
  +xorg-server-1.3.0.0-r6.ebuild, +xorg-server-1.4.2.ebuild:
  (#225419) Security bump. Local root vulnerability, or must be already
  authenticated to access X remotely (via xauth, xhost, etc.). The 1.4.x
  series bump also contains large quantities of other bugfixes and will be a
  stable candidate in 30 days.

*xorg-server-1.4.99.902 (10 Jun 2008)

  10 Jun 2008; Donnie Berkholz <dberkholz@gentoo.org>;
  +xorg-server-1.4.99.902.ebuild:
  Bump to 1.5 RC. Dropped keywords because of the move to libpciaccess. I'm
  almost positive it's broken on alpha
  <https://bugs.freedesktop.org/show_bug.cgi?id=15169>. Other less
  mainstream architectures also need testing and filing of bugs at
  bugs.freedesktop.org in the xorg product.

  21 May 2008; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.4.0.90-r3.ebuild, xorg-server-1.4.0.90-r4.ebuild:
  (#222683) Make sure libxf86config gets built PIC by always setting
  SNAPSHOT=yes.

  19 May 2008; Donnie Berkholz <dberkholz@gentoo.org>;
  -files/1.4.0.90/0038-dmx-fix-build-by-adding-New-Delete-InputDeviceRequ.pa
  tch, -files/1.4.0.90/0039-dmx-link-in-XSERVER_LIBS.patch,
  -files/1.4.0.90/0040-xephyr-fix-linking-by-adding-pixman-and-using-XSERV.p
  atch,
  -files/1.4.0.90/0041-xprint-fix-build-by-adding-New-Delete-InputDeviceR.pa
  tch,
  -files/1.4.0.90/0042-xprint-fix-linking-by-including-XSERVER_LIBS.patch,
  -files/1.4.0.90/0043-Fix-RandR-1.2-driver-interface-conversion-of-two-col.
  patch,
  -files/1.4.0.90/0044-Fix-overly-restrictive-integer-overflow-check-in-EXA.
  patch, +files/1.4.0.90/0044-kdrive-allow-disabling-Composite.patch,
  +files/1.4.0.90/0045-When-XKB-fails-to-open-rules-file-log-the-file-name.p
  atch,
  +files/1.4.0.90/0046-dmx-fix-build-by-adding-New-Delete-InputDeviceRequ.pa
  tch, +files/1.4.0.90/0047-dmx-link-in-XSERVER_LIBS.patch,
  +files/1.4.0.90/0048-xephyr-fix-linking-by-adding-pixman-and-using-XSERV.p
  atch,
  +files/1.4.0.90/0049-xprint-fix-build-by-adding-New-Delete-InputDeviceR.pa
  tch,
  +files/1.4.0.90/0050-xprint-fix-linking-by-including-XSERVER_LIBS.patch,
  +files/1.4.0.90/0051-Fix-RandR-1.2-driver-interface-conversion-of-two-col.
  patch,
  +files/1.4.0.90/0052-Fix-overly-restrictive-integer-overflow-check-in-EXA.
  patch, +files/1.4.0.90/0053-Fix-hal-shutdown-crash.patch,
  +files/1.4.0.90/0054-Bump-DEFAULT_DPI-to-96.patch,
  +files/1.4.0.90/0055-Bug-13962-Re-arm-the-DPMS-timer-when-re-enabling-D.pa
  tch,
  +files/1.4.0.90/0056-Prevent-the-wm-command-line-option-from-causing-a-S.p
  atch,
  +files/1.4.0.90/0057-EXA-Skip-empty-glyphs.-cherry-picked-from-commit-c.pa
  tch,
  +files/1.4.0.90/0058-xf86-Add-AutoConfig-driver-for-PCI-ID-1022-2081-to.pa
  tch,
  +files/1.4.0.90/0059-xkb-when-copying-the-keymap-make-sure-the-structs.pat
  ch:
  Update 1.4.0.90 patches to latest in server-1.4-branch, which incorporates
  all the Gentoo build/link fixes.

  10 May 2008; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/1.4.0.90/0038-dmx-fix-build-by-adding-New-Delete-InputDeviceRequ.pa
  tch, +files/1.4.0.90/0039-dmx-link-in-XSERVER_LIBS.patch,
  +files/1.4.0.90/0040-xephyr-fix-linking-by-adding-pixman-and-using-XSERV.p
  atch,
  +files/1.4.0.90/0041-xprint-fix-build-by-adding-New-Delete-InputDeviceR.pa
  tch,
  +files/1.4.0.90/0043-Fix-RandR-1.2-driver-interface-conversion-of-two-col.
  patch,
  +files/1.4.0.90/0042-xprint-fix-linking-by-including-XSERVER_LIBS.patch,
  +files/1.4.0.90/0044-Fix-overly-restrictive-integer-overflow-check-in-EXA.
  patch, xorg-server-1.4.0.90-r4.ebuild:
  Add patches in my 'server-1.4-branch-gentoo' branch that I've submitted
  upstream and am waiting for them to take.

  09 May 2008; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.4.0.90-r4.ebuild:
  (#214233) Require wacom 0.7.9 or newer to fix crashes on startup.

  09 May 2008; Mart Raudsepp <leio@gentoo.org>
  xorg-server-1.4.0.90-r3.ebuild, xorg-server-1.4.0.90-r4.ebuild:
  Adapt with xf86-video-amd to xf86-video-geode move.

*xorg-server-1.4.0.90-r4 (08 May 2008)

  08 May 2008; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/1.4.0.90/0004-Config-D-Bus-Don-t-leak-timers.patch,
  +files/1.4.0.90/0006-OS-Don-t-leak-connection-translation-table-on-regen.p
  atch, +files/1.4.0.90/0012-Xephyr-One-time-keyboard-leak-fix.patch,
  +files/1.4.0.90/0002-bgPixel-unsigned-long-is-64-bit-on-x86_64-so-1.patch,
  +files/1.4.0.90/0013-Fix-for-CVE-2007-5760-XFree86-Misc-extension-out-o.pa
  tch,
  +files/1.4.0.90/0005-Config-HAL-Don-t-leak-options-on-failure-to-add-de.pa
  tch,
  +files/1.4.0.90/0018-Fix-for-CVE-2007-5958-File-existence-disclosure.patch
  ,
  +files/1.4.0.90/0007-KDrive-Xephyr-Don-t-leak-screen-damage-structure.patc
  h,
  +files/1.4.0.90/0015-Fix-for-CVE-2007-6427-Xinput-extension-memory-corr.pa
  tch,
  +files/1.4.0.90/0001-Bug-13308-Verify-and-reject-obviously-broken-modes.pa
  tch, +files/1.4.0.90/0003-Xprint-Clean-up-generated-files.patch,
  +files/1.4.0.90/0008-Input-Don-t-reinit-devices.patch,
  +files/1.4.0.90/0009-include-never-overwrite-realInputProc-with-enqueueI.p
  atch, +files/1.4.0.90/0010-OS-IO-Zero-out-client-buffers.patch,
  +files/1.4.0.90/0011-XKB-XkbCopyKeymap-Don-t-leak-all-the-sections.patch,
  +files/1.4.0.90/0042-dix-Move-motion-history-update-until-after-screen-c.p
  atch,
  +files/1.4.0.90/0014-Fix-for-CVE-2007-6428-TOG-cup-extension-memory-cor.pa
  tch,
  +files/1.4.0.90/0019-CVE-2007-6429-Don-t-spuriously-reject-8bpp-shm-pix.pa
  tch,
  +files/1.4.0.90/0016-Fix-for-CVE-2007-6429-MIT-SHM-and-EVI-extensions-i.pa
  tch, +files/1.4.0.90/0043-XKB-Actually-explain-keymap-failures.patch,
  +files/1.4.0.90/0017-Fix-for-CVE-2008-0006-PCF-Font-parser-buffer-overf.pa
  tch,
  +files/1.4.0.90/0040-Bug-10324-dix-Add-scaling-of-X-and-Y-on-the-repo.patc
  h,
  +files/1.4.0.90/0020-dix-set-the-correct-number-of-valuators-in-valuator.p
  atch,
  +files/1.4.0.90/0041-dix-Skip-call-to-clipAxis-for-relative-core-events.pa
  tch,
  +files/1.4.0.90/0021-xkb-don-t-update-LEDs-if-they-don-t-exist.-Bug-13.pat
  ch,
  +files/1.4.0.90/0022-security-Fix-for-Bug-14480-untrusted-access-broke.pat
  ch,
  +files/1.4.0.90/0023-Resize-composite-overlay-window-when-the-root-window.
  patch,
  +files/1.4.0.90/0024-Fix-rotation-for-multi-monitor-situation.patch,
  +files/1.4.0.90/0025-Don-t-break-grab-and-focus-state-for-a-window-when-r.
  patch,
  +files/1.4.0.90/0026-CVE-2007-6429-Always-test-for-size-offset-wrapping.pa
  tch,
  +files/1.4.0.90/0027-Fix-context-sharing-between-direct-indirect-contexts.
  patch,
  +files/1.4.0.90/0028-Add-some-more-support-for-DragonFly.-From-Joerg-Sonn.
  patch, +files/1.4.0.90/0029-configure.ac-DragonFly-BSD-support.patch,
  +files/1.4.0.90/0030-Fixed-configure.ac-for-autoconf-2.62.patch,
  +files/1.4.0.90/0031-EXA-Fix-off-by-one-in-polyline-drawing.patch,
  +files/1.4.0.90/0032-XKB-Fix-processInputProc-wrapping.patch,
  +files/1.4.0.90/0033-xfree86-fix-AlwaysCore-handling.-Bug-14256.patch,
  +files/1.4.0.90/0034-Ignore-not-just-block-SIGALRM-around-Popen-Pcl.patch,
  +files/1.4.0.90/0035-Fix-build-on-FreeBSD-after-Popen-changes.patch,
  +files/1.4.0.90/0036-So-like-checking-return-codes-of-system-calls-sig.pat
  ch,
  +files/1.4.0.90/0037-Check-for-sys-sdt.h-as-well-when-determining-to-en.pa
  tch,
  +files/1.4.0.90/0038-dix-Always-add-valuator-information-if-present.patch,
  +files/1.4.0.90/0039-Bug-10324-dix-Allow-arbitrary-value-ranges-in-Ge.patc
  h, +xorg-server-1.4.0.90-r4.ebuild:
  Add an unkeyworded new revision with tons of fixes from upstream's 1.4
  branch. More patches may be coming soon, and rekeywording is pending on
  that. I expect this to be a candidate for stable.

  07 May 2008; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.3.0.0-r5.ebuild, xorg-server-1.4.0.90-r3.ebuild:
  (#213288) Fix xprint build by requiring printproto =1.0.3.

  25 Apr 2008; Donnie Berkholz <dberkholz@gentoo.org>;
  -xorg-server-1.3.0.0-r2.ebuild, -xorg-server-1.4.0.90-r2.ebuild:
  Clean up a little. Still waiting on arm/sh stabilization in 1.3.0.0-r5 for
  -r4 to get removed.

  25 Apr 2008; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.3.0.0-r5.ebuild:
  (#219159) Add autotools patch here as well.

  18 Apr 2008; Saleem Abdulrasool <compnerd@gentoo.org>
  +files/xorg-server-1.4.0.90-automake-1.10.1-fixup.patch,
  xorg-server-1.4.0.90-r3.ebuild:
  Add patch to fix building against newer autotools.  Fixes bug #217128.

  10 Apr 2008; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.3.0.0-r5.ebuild, xorg-server-1.4.0.90-r3.ebuild:
  Switch from via to openchrome for VIDEO_CARDS=via to mirror upstream xorg
  switch.

  10 Mar 2008; Bo Ørsted Andresen <zlin@gentoo.org>
  xorg-server-1.4.0.90-r2.ebuild, xorg-server-1.4.0.90-r3.ebuild:
  Remove print_installed(). Bug #211588.

  11 Feb 2008; Wulf C. Krueger <philantrop@gentoo.org>
  xorg-server-1.3.0.0-r5.ebuild:
  Marked stable on amd64 as per security bug 208343.

  09 Feb 2008; Raúl Porcel <armin76@gentoo.org>
  xorg-server-1.3.0.0-r5.ebuild:
  alpha/ia64/sparc stable wrt security #208343

  02 Feb 2008; Jeroen Roovers <jer@gentoo.org>
  xorg-server-1.3.0.0-r5.ebuild:
  Stable for HPPA (bug #208343).

  02 Feb 2008; Tobias Scherbaum <dertobi123@gentoo.org>
  xorg-server-1.3.0.0-r5.ebuild:
  ppc stable, bug #208343

  02 Feb 2008; Brent Baude <ranger@gentoo.org>
  xorg-server-1.3.0.0-r5.ebuild:
  Marking xorg-server-1.3.0.0-r5 ppc64 for bug 208343

  02 Feb 2008; Markus Meier <maekke@gentoo.org>
  xorg-server-1.3.0.0-r5.ebuild:
  x86 stable, security bug #208343

*xorg-server-1.4.0.90-r3 (01 Feb 2008)
*xorg-server-1.3.0.0-r5 (01 Feb 2008)

  01 Feb 2008; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/1.4-0008-CVE-2007-6429-Always-test-for-size-offset-wrapping.patch,
  +files/1.4-0009-Don-t-break-grab-and-focus-state-for-a-window-when-r.patch
  , +xorg-server-1.3.0.0-r5.ebuild, +xorg-server-1.4.0.90-r3.ebuild:
  (#208343) Another security bump, with two fixes. CVE-2007-6429: The old fix
  for the MIT_SHM patch failed to check for the security issue in all cases.
  CVE-2007-3920: The second fix is primarily for compiz users. There was a
  patch in compiz for this but it was again an incomplete fix, because it
  assumed the problem could only be caused by a specifically named executable.

  18 Jan 2008; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.3.0.0-r4.ebuild:
  Restore keywords, since repoman wouldn't let me commit stable.

*xorg-server-1.4.0.90-r2 (18 Jan 2008)
*xorg-server-1.3.0.0-r4 (18 Jan 2008)

  18 Jan 2008; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/1.4-0007-CVE-2007-6429-Don-t-spuriously-reject-8bpp-shm-pix.patch,
  -xorg-server-1.3.0.0-r3.ebuild, +xorg-server-1.3.0.0-r4.ebuild,
  -xorg-server-1.4.0.90-r1.ebuild, +xorg-server-1.4.0.90-r2.ebuild:
  (#206490, #204362) Fix major regression in the MIT-SHM patch of the security
  bump that prevented many applications (but apparently none that any distro
  developers use, since this slipped by every distro) from running.

  17 Jan 2008; Donnie Berkholz <dberkholz@gentoo.org>;
  -files/1.2.0-server-damage-version.patch,
  -files/xorg-xserver-1.2.0-xcmisc.diff,
  -files/1.2.0-server-randr-version.patch, -files/1.2.0-client-leak.patch,
  -xorg-server-1.2.0-r3.ebuild, -xorg-server-1.3.0.0.ebuild,
  -xorg-server-1.3.0.0-r1.ebuild, -xorg-server-1.4-r2.ebuild,
  -xorg-server-1.4.0.90.ebuild:
  Security cleanup. Still waiting on mips/sh/arm to stable 1.3.0.0-r3 before I
  can pull -r2.

  17 Jan 2008; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.3.0.0-r3.ebuild:
  Add stable keywords from testing on the security bug.

*xorg-server-1.3.0.0-r3 (17 Jan 2008)

  17 Jan 2008; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/1.3-0003-Fix-for-CVE-2007-6427-Xinput-extension-memory-corr.patch,
  +files/1.3-0006-Fix-for-CVE-2007-5958-File-existence-disclosure.patch,
  +xorg-server-1.3.0.0-r3.ebuild:
  Here's the 1.3 version of those security bumps.

*xorg-server-1.4.0.90-r1 (17 Jan 2008)

  17 Jan 2008; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/1.4-0001-Fix-for-CVE-2007-5760-XFree86-Misc-extension-out-o.patch,
  +files/1.4-0002-Fix-for-CVE-2007-6428-TOG-cup-extension-memory-cor.patch,
  +files/1.4-0003-Fix-for-CVE-2007-6427-Xinput-extension-memory-corr.patch,
  +files/1.4-0004-Fix-for-CVE-2007-6429-MIT-SHM-and-EVI-extensions-i.patch,
  +files/1.4-0005-Fix-for-CVE-2008-0006-PCF-Font-parser-buffer-overf.patch,
  +files/1.4-0006-Fix-for-CVE-2007-5958-File-existence-disclosure.patch,
  +xorg-server-1.4.0.90-r1.ebuild:
  (#204362) Security bump. Bump for 1.3 series coming in a couple hours.

  16 Dec 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.4.0.90.ebuild:
  Don't print output of pushd/popd (Mike Frysinger).

*xorg-server-1.4.0.90 (14 Dec 2007)

  14 Dec 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/1.4.0.90-clean-generated-files.patch,
  +files/1.4-dont-hang-openoffice.patch,
  +files/1.4-fix-kdrive-automake.patch, +xorg-server-1.4.0.90.ebuild:
  Bump to 1.4.1 release candidate. It's gotta be an improvement over 1.4, 
  so i'm letting it go into ~arch.
  
  (#192221) 'xorg-server-1.4 - keyboard LEDs do not work' fixed upstream.
  
  (#201047) 'xorg-server 1.4 no longer loads xmodmap via xinitrc properly' 
  fixed upstream.
  
  (#197104) 'xorg-server-1.3 and 1.4 consumes 100% CPU, locking the 
  keyboard, apparently triggered by opening an OpenOffice pulldown menu' 
  fixed with patch from master branch.
  
  (#196019) 'xorg-server creates unnecessary file 
  /etc/X11/X11/Xsession.d/92xprint-xpserverlist' fixed by not installing 
  the same file twice to 2 different places (Andy Crook).
  
  (#195886) 'xorg-server-1.4.0-r2 built with hal USE flag crashes on 
  shutdown if dbus service is not running' fixed upstream.
  
  (#195551) 'xorg-server-1.4 fails to build w/kdrive on amd64' fixed with 
  Makefile.am patch designed for easier sed but unsuitable for upstream 
  because the line gets too long (Michael Gorse).
  
  (#194503) Don't spit versions when showing drivers to rebuild via qlist, 
  and also provide a command for people to do it themselves later.

  30 Nov 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.4-r2.ebuild:
  (#200731) Forgot to remove the blocker for ati-drivers (Sascha Beck).

  29 Nov 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.4-r2.ebuild:
  Re-add binary ATI/AMD driver support for 8.433 and newer (Jory Pratt).

  20 Nov 2007; Joshua Kinard <kumba@gentoo.org>
  xorg-server-1.3.0.0-r2.ebuild:
  Stable on mips, per #198525.

  14 Nov 2007; Jeroen Roovers <jer@gentoo.org>
  xorg-server-1.3.0.0-r2.ebuild:
  Stable for HPPA (bug #198525).

  09 Nov 2007; nixnut <nixnut@gentoo.org> xorg-server-1.3.0.0-r2.ebuild:
  Stable on ppc wrt bug 198525

  09 Nov 2007; Raúl Porcel <armin76@gentoo.org>
  xorg-server-1.3.0.0-r2.ebuild:
  alpha/ia64 stable wrt #198525

  09 Nov 2007; Ferris McCormick <fmccor@gentoo.org>
  xorg-server-1.3.0.0-r2.ebuild:
  Sparc stable --- Bug #198525

  09 Nov 2007; Markus Rothe <corsair@gentoo.org>
  xorg-server-1.3.0.0-r2.ebuild:
  Stable on ppc64; bug #198525

  09 Nov 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.3.0.0-r2.ebuild:
  (#198525) Stable on amd64, tested by hparker, approved by kingtaco.

  09 Nov 2007; Dawid Węgliński <cla@gentoo.org>
  xorg-server-1.3.0.0-r2.ebuild:
  Stable on x86

  07 Nov 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/1.3.0.0-fix-xkb-openoffice-hangs.patch,
  xorg-server-1.3.0.0-r2.ebuild:
  (#197104) Fix a 100% CPU hang on openoffice. (#196019) Don't create a
  redundant file with USE=xprint.

  05 Nov 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.2.0-r3.ebuild, xorg-server-1.3.0.0.ebuild,
  xorg-server-1.3.0.0-r1.ebuild:
  Require older libXrender here too (backport from 1.3.0.0-r2) (Martin MOKREJŠ).

  29 Oct 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.4-r2.ebuild:
  (#197154, fd.o #12982) xorg-server thinks net-dialup/dtrace is Solaris
  dtrace, thus dying during the build (Chad Simmons). Add a blocker for now,
  until we have an upstream fix.

  14 Oct 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.4-r2.ebuild:
  (#194503) Try adding some output to print the actual drivers that need to be
  rebuilt. Use qlist from portage-utils, equery from gentoolkit, epm, and fall
  back to internal portage best_version if all else fails.

*xorg-server-1.3.0.0-r2 (13 Oct 2007)

  13 Oct 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/1.3.0.0-fix-dual-head-screen-resolutions.patch,
  +files/1.3.0.0-fix-randr-resizing.patch,
  +files/1.3.0.0-fix-xephyr-amd64-segfault.patch,
  +files/1.3.0.0-ramdac.patch, +xorg-server-1.3.0.0-r2.ebuild:
  (#183721) Fix resizing with RandR. (#179545) Use correct screen resolutions
  when there's multiple screens. (#191709) Require older libXrender too.
  (#192312) Export ramdac symbols, so e.g. xf86-video-s3 compiles. (#193207)
  Fix Xephyr segfault on amd64. (#194026) Set XKB output directory so this
  works with xkeyboard-config 1.1.

  09 Oct 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  -xorg-server-1.4-r1.ebuild:
  Clean out a broken ebuild.

  09 Oct 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.2.0-r3.ebuild, xorg-server-1.3.0.0.ebuild,
  xorg-server-1.3.0.0-r1.ebuild, xorg-server-1.4-r1.ebuild:
  Fix quoting issues caught by latest repoman.

  02 Oct 2007; Chris Gianelloni <wolf31o2@gentoo.org>
  xorg-server-1.3.0.0-r1.ebuild:
  Stable on amd64 wrt bug #191964.

  02 Oct 2007; Jeroen Roovers <jer@gentoo.org>
  xorg-server-1.3.0.0-r1.ebuild:
  Stable for HPPA (bug #191964).

  01 Oct 2007; Doug Goldstein <cardoe@gentoo.org> xorg-server-1.4-r1.ebuild,
  xorg-server-1.4-r2.ebuild:
  add new nvidia-drivers to depend list support

  01 Oct 2007; Raúl Porcel <armin76@gentoo.org>
  xorg-server-1.3.0.0-r1.ebuild:
  alpha/ia64/sparc stable wrt #191964

  01 Oct 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.4-r2.ebuild:
  Fix variable quoting caught by my repoman patch.

*xorg-server-1.4-r2 (01 Oct 2007)

  01 Oct 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/1.4-ia64.patch, +xorg-server-1.4-r2.ebuild:
  (#194026) Fix many keyboard-related issues, particularly special keys, by
  setting the XKB output directory to one that actually exists -- /var/lib/xkb
  -- instead of /usr/share/X11/xkb/compiled (illusion). (#193978) Fix build on
  ia64 (Raúl Porcel). (#193735) Another xprint fix, to the init script this
  time (Andy Crook).

  01 Oct 2007; Joshua Kinard <kumba@gentoo.org>
  xorg-server-1.3.0.0-r1.ebuild:
  Stable on mips, per #191964.

  30 Sep 2007; Tobias Scherbaum <dertobi123@gentoo.org>
  xorg-server-1.3.0.0-r1.ebuild:
  ppc stable, bug #191964

  30 Sep 2007; Markus Rothe <corsair@gentoo.org>
  xorg-server-1.3.0.0-r1.ebuild:
  Stable on ppc64; bug #191964

  30 Sep 2007; Markus Meier <maekke@gentoo.org>
  xorg-server-1.3.0.0-r1.ebuild:
  x86 stable, security bug #191964

*xorg-server-1.3.0.0-r1 (30 Sep 2007)

  30 Sep 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/use-composite-for-unequal-depths.patch,
  +xorg-server-1.3.0.0-r1.ebuild:
  (#191964) Security bump for local exploit in the Composite extension, which
  is disabled by default.

  28 Sep 2007; Joshua Kinard <kumba@gentoo.org> xorg-server-1.3.0.0.ebuild:
  Stable on mips, per #191615.

  19 Sep 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.4-r1.ebuild:
  Restore Nvidia binary driver support with today's release.

  14 Sep 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.4-r1.ebuild:
  Require latest versions of some input drivers for compat with the new input
  stuff.

  11 Sep 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  -xorg-server-1.4.ebuild:
  Drop a broken ebuild.

  10 Sep 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.4-r1.ebuild:
  More minimal versions for 7.3 and even earlier releases.

  10 Sep 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.4-r1.ebuild:
  Add minimal version dependencies for X.Org 7.3 release. Also remove blocker
  on old keyboard drivers, because the minimal 1.2 dependency when
  INPUT_DEVICES=keyboard should be good enough.

*xorg-server-1.4-r1 (10 Sep 2007)

  10 Sep 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  +xorg-server-1.4-r1.ebuild:
  (#191822) Try to avoid a fatal DBUS-related error at startup time by
  installing the DBUS file to /etc/dbus-1/system.d/xorg-server.conf rather
  than /etc/X11/dbus-1/system.d/xorg-server.conf. Also add a tweak to stop
  autoreconf from running twice. Both fixes courtesy of Elvis Pranskevichus.
  This should be enough to get you a running X server, but input hotplugging
  may not work yet. A couple of other changes on the bug need to be examined
  in more detail.

  10 Sep 2007; Jeroen Roovers <jer@gentoo.org> xorg-server-1.3.0.0.ebuild:
  Stable for HPPA (bug #191615).

  10 Sep 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.4.ebuild:
  (#191820) Fix xprint build when neither dmx or kdrive are enabled; forgot to
  autoreconf.

  09 Sep 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.4.ebuild:
  Block binary drivers: nvidia-drivers and ati-drivers -- seems that they
  don't have releases built for 1.4 yet.

  09 Sep 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.2.0-r3.ebuild, xorg-server-1.3.0.0.ebuild:
  (#191709) Require older renderproto as a workaround to make this build again
  until we get a proper fix.

  09 Sep 2007; Raúl Porcel <armin76@gentoo.org> xorg-server-1.3.0.0.ebuild:
  alpha/ia64 stable wrt #191615

  09 Sep 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  -files/01-no-move-damage.patch, -files/03-tfp-damage.patch,
  -files/05-offscreen-pixmaps.patch, -files/1.1.1-fix_acpi_tokenize.patch,
  -files/02-dont-backfill-bg-none.patch,
  -files/04-mesa-copy-sub-buffer.patch,
  -files/06-aiglx-happy-vt-switch.patch, -files/1.1.1-dbe-render.diff,
  -files/1.1.1-fix-xrandr-zoom-keys.patch,
  -files/1.1.1-fix_big_endian_glx.patch, -files/1.1.1-fixdualhead.patch,
  -files/1.1.1-sparc-includes.patch, -files/1.1.1-sparc64-ati-lockups.patch,
  -files/xorg-server-1.1.1-install-libxf86config-headers.patch,
  -files/xorg-x11-server-1.1.1-mesa-6.5.1.patch,
  -files/xorg-conf-example.patch, -xorg-server-1.1.1-r1.ebuild,
  -xorg-server-1.1.1-r5.ebuild:
  Drop 1.1, everyone's stable on 1.2 or 1.3.

  09 Sep 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  -files/1.2.99.0-fix-sysconfdir-references.patch,
  -xorg-server-1.2.99.0.ebuild:
  Drop early input-hotplug snapshot.

*xorg-server-1.4 (09 Sep 2007)

  09 Sep 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/1.4-document-new-font-catalogs.patch,
  +files/1.4-fix-dmx-build.patch, +files/1.4-fix-dmx-link.patch,
  +files/1.4-fix-xephyr-link.patch, +files/1.4-fix-xprint-build.patch,
  +files/1.4-fix-xprint-link.patch, +files/1.4-fpic-libxf86config.patch,
  +xorg-server-1.4.ebuild:
  Bump. Contains input hotplugging, numerous EXA improvements, improvements to
  RandR 1.2, and more. Adds a new dependency on pixman for rendering and an
  optional dependency on hal/dbus for input hotplugging. A few of the
  fix-*-{build,link} patches still need to go upstream.

  09 Sep 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.1.1-r1.ebuild, xorg-server-1.1.1-r5.ebuild,
  xorg-server-1.2.0-r3.ebuild, xorg-server-1.3.0.0.ebuild:
  Fix keyboard driver dep because it doesn't work with 1.2 or newer.

  08 Sep 2007; Joseph Jezak <josejx@gentoo.org> xorg-server-1.3.0.0.ebuild:
  Marked ppc/ppc64 stable for bug #191615.

  08 Sep 2007; Christoph Mende <angelos@gentoo.org>
  xorg-server-1.3.0.0.ebuild:
  Stable on amd64 wrt bug #191615

  07 Sep 2007; Chris Gianelloni <wolf31o2@gentoo.org>
  xorg-server-1.3.0.0.ebuild:
  I am reverting the stabilization until a newer ati-drivers package is
  stabilized. I apologize if anyone gets caught by this in the short time it
  was stable.

  07 Sep 2007; Chris Gianelloni <wolf31o2@gentoo.org>
  xorg-server-1.3.0.0.ebuild:
  Stable on x86 wrt bug #191615.

  07 Sep 2007; Chris Gianelloni <wolf31o2@gentoo.org>
  xorg-server-1.3.0.0.ebuild:
  Stable on amd64 wrt bug #191615.

  09 Aug 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.3.0.0.ebuild:
  Need to regenerate autotools files for
  xorg-x11-server-1.0.1-fpic-libxf86config.patch (Robert Buchholz).

  07 Aug 2007; Gustavo Zacarias <gustavoz@gentoo.org>
  xorg-server-1.3.0.0.ebuild:
  Stable on sparc wrt #175465

  02 Aug 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/xorg-x11-server-1.0.1-fpic-libxf86config.patch,
  xorg-server-1.3.0.0.ebuild:
  (#182516) Build libxf86config PIC for other packages that use it on 64-bit
  systems.

  02 Aug 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/1.3.0.0-xephyr_crash_at_exit.patch, xorg-server-1.3.0.0.ebuild:
  (#185705) Stop Xephyr from crashing when applications quit.

  01 Aug 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/1.2.0-fix-amd-cpu-detection.patch,
  +files/1.2.0-properly-free-device-devprivates-memory-leak-fix.patch,
  +files/1.2.0-typo-fix.patch,
  +files/1.2.0-zero-out-client-devprivates-on-allocation.patch,
  +files/1.3.0.0-use-proc-instead-of-sys.patch,
  +files/1.3-alpha-build-fix.patch,
  +files/avoid-crash-on-minimized-xv-window.patch,
  +files/xorg-server-sam225bw-quirks.patch, xorg-server-1.3.0.0.ebuild:
  Add patches for various issues. (#171396) Memleaks; (#167052) Fix
  multi-domain systems like Sparc and Pegasos; (#181280) Minimized Xv window
  crashes X; (#176746) Resolution fix for SyncMaster 225BW; (#164240) Fix
  Alpha build with newer kernel headers.

  31 Jul 2007; Doug Goldstein <doug@gentoo.org> xorg-server-1.1.1-r1.ebuild,
  xorg-server-1.1.1-r5.ebuild, xorg-server-1.2.0-r3.ebuild,
  xorg-server-1.2.99.0.ebuild, xorg-server-1.3.0.0.ebuild:
  nvidia-legacy-drivers moved to nvidia-drivers

  02 Jul 2007; Raúl Porcel <armin76@gentoo.org>
  xorg-server-1.2.0-r3.ebuild:
  alpha stable wrt #175465

  02 Jul 2007; Piotr Jaroszyński <peper@gentoo.org>
  xorg-server-1.1.1-r1.ebuild, xorg-server-1.1.1-r5.ebuild,
  xorg-server-1.2.0-r3.ebuild, xorg-server-1.2.99.0.ebuild,
  xorg-server-1.3.0.0.ebuild:
  (QA) RESTRICT clean up.

  24 Jun 2007; Piotr Jaroszyński <peper@gentoo.org>
  xorg-server-1.2.99.0.ebuild:
  (QA) Don't use KEYWORDS="-*". bug #160519.

  24 Jun 2007; Joshua Kinard <kumba@gentoo.org> xorg-server-1.2.0-r3.ebuild:
  Stable on mips, per #175465.

  04 Jun 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.3.0.0.ebuild:
  (#180855) Fix ati-drivers support. My last commit never made it in because
  of a conflict I didn't notice.

  02 Jun 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.3.0.0.ebuild:
  (#180611) Remove blocker on ati-drivers so the below change works.

  20 May 2007; Jeroen Roovers <jer@gentoo.org> xorg-server-1.2.0-r3.ebuild:
  Stable for HPPA (bug #175465).

  12 May 2007; nixnut <nixnut@gentoo.org> xorg-server-1.2.0-r3.ebuild:
  Stable on ppc wrt bug 175465

  05 May 2007; Daniel Gryniewicz <dang@gentoo.org>
  xorg-server-1.2.0-r3.ebuild:
  Marked stable on amd64 for bug #175465

  05 May 2007; Joshua Baergen <joshuabaergen@gentoo.org>
  xorg-server-1.3.0.0.ebuild:
  Add a dependency on libXfixes when building dmx.  Thanks to Hopeless of
  bug #177173.

  04 May 2007; Samuli Suominen <drac@gentoo.org> xorg-server-1.3.0.0.ebuild:
  Allow also nvidia-drivers-8xxx series, and nvidia-legacy-drivers-7xxx for
  bug 176648 as they are needed for older cards. Bug 175503 is only about
  ati-drivers.

  02 May 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  -xorg-server-1.1.1-r4.ebuild, -xorg-server-1.2.0.ebuild,
  -xorg-server-1.2.0-r1.ebuild, -xorg-server-1.2.0-r2.ebuild:
  Pull versions that will never go stable or are stale.

  01 May 2007; Samuli Suominen <drac@gentoo.org> xorg-server-1.3.0.0.ebuild:
  Allow also nvidia-drivers-1.0.9631-r1 which appears to be working and
  required for older cards. Bug 176650.

  01 May 2007; Samuli Suominen <drac@gentoo.org> xorg-server-1.3.0.0.ebuild:
  Allow nvidia-drivers-1.0.9755-r1 with xorg-server-1.3.0.0 as it works and
  blocking them is annoying for users.

  01 May 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.3.0.0.ebuild:
  Remove VIDEO_CARDS flags for binary drivers and block binary ati and nvidia
  drivers, since none of them work yet with 1.3. Since we aren't yet sure
  which versions will, block them unconditionally for now and add appropriate
  dependencies later.

  29 Apr 2007; Andrej Kacian <ticho@gentoo.org> xorg-server-1.2.0-r3.ebuild:
  Stable on x86, bug #175465.

  25 Apr 2007; Raúl Porcel <armin76@gentoo.org>
  xorg-server-1.2.0-r3.ebuild:
  Stable on ia64 wrt bug #175465

  25 Apr 2007; Markus Rothe <corsair@gentoo.org>
  xorg-server-1.2.0-r3.ebuild:
  Stable on ppc64; bug #175465

  22 Apr 2007; Joshua Baergen <joshuabaergen@gentoo.org>
  xorg-server-1.3.0.0.ebuild:
  Update randrproto dep to 1.2.1.  Fixes #175452.

  21 Apr 2007; Joshua Baergen <joshuabaergen@gentoo.org>
  -xorg-server-1.2.99.901.ebuild, -xorg-server-1.2.99.902.ebuild,
  -xorg-server-1.2.99.903.ebuild, -xorg-server-1.2.99.903-r1.ebuild,
  -xorg-server-1.2.99.905.ebuild:
  Clean out 1.3 RCs.

*xorg-server-1.3.0.0 (21 Apr 2007)

  21 Apr 2007; Joshua Baergen <joshuabaergen@gentoo.org>
  +xorg-server-1.3.0.0.ebuild:
  Bump to 1.3 final.

*xorg-server-1.2.99.905 (06 Apr 2007)

  06 Apr 2007; Joshua Baergen <joshuabaergen@gentoo.org>
  +xorg-server-1.2.99.905.ebuild:
  Add 1.3RC5.  This includes the security patch from RC3-r1, as well as a server
  respawn fix. Also, fix bug #172713 (steveb).

*xorg-server-1.2.99.903-r1 (05 Apr 2007)
*xorg-server-1.2.0-r3 (05 Apr 2007)
*xorg-server-1.1.1-r5 (05 Apr 2007)

  05 Apr 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/xorg-xserver-1.2.0-xcmisc.diff, +xorg-server-1.1.1-r5.ebuild,
  +xorg-server-1.2.0-r3.ebuild, +xorg-server-1.2.99.903-r1.ebuild:
  (#172575) Security bump. CVE 2007-1003: XC-MISC extension integer overflow.

*xorg-server-1.2.99.903 (28 Mar 2007)

  28 Mar 2007; Joshua Baergen <joshuabaergen@gentoo.org>
  +xorg-server-1.2.99.903.ebuild:
  Bump to 1.3 RC3.

*xorg-server-1.2.99.902 (20 Mar 2007)

  20 Mar 2007; Joshua Baergen <joshuabaergen@gentoo.org>
  +xorg-server-1.2.99.902.ebuild:
  Bump to 1.3RC2.

*xorg-server-1.2.0-r2 (17 Mar 2007)

  17 Mar 2007; Joshua Baergen <joshuabaergen@gentoo.org>
  +files/1.2.0-client-leak.patch, +xorg-server-1.2.0-r2.ebuild:
  Fix a memory leak.  This fix is already in the 1.3 branch.  (Thanks to krtek
  for the patch and ebuild - bug #166109)

*xorg-server-1.2.99.901 (10 Mar 2007)

  10 Mar 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  +xorg-server-1.2.99.901.ebuild:
  Bump to 1.3 RC1. This contains RandR 1.2 for monitor hotplugging etc,
  assuming you have a supported driver (only intel at present, radeon in the
  works), and you also need the updated libXrandr and x11-apps/xrandr. It also
  merges the damage-tracking work for EXA (the newer acceleration
  architecture) as well as some other fixes. It does NOT contain input-device
  hotplugging despite the higher version number than 1.2.99.0, because of a
  change in release-versioning plans.

*xorg-server-1.2.0-r1 (19 Feb 2007)

  19 Feb 2007; Joshua Baergen <joshuabaergen@gentoo.org>
  +files/1.2.0-server-damage-version.patch,
  +files/1.2.0-server-randr-version.patch, +xorg-server-1.2.0-r1.ebuild:
  Fix several issues:

  Bug #163613 - Server should report its damage implementation version rather
  than the protocol header version.  (Todd Merrill)

  Bug #164146 - Xprint file locations have changed since 1.1, so fix the ebuild
  to find them correctly.  (Ed Catmur)

  Bug #167651 - Server should report its randr implementation version rather
  than the protocol header version.  (Me)

  24 Jan 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  -files/1.0.2-Xprint-xprintdir.patch, -files/1.0.2-dbe-render.diff,
  -files/1.0.2-fix-readKernelMapping-overrun.patch,
  -files/1.0.2-fix-rom-read-dualhead.patch,
  -files/1.0.2-fix-xorgconfig-rgbpath-and-mouse.patch,
  -files/1.0.2-try-to-fix-xorgcfg.patch, -files/x11r7.0-setuid.diff,
  -files/xorg-server-1.0.2-64bit-fix-for-glx.patch,
  -files/xorg-server-1.0.2-64bit-fix-have-dix-config.patch,
  -files/xorg-server-1.0.2-64bit-fix-indirect-vertex-array.patch,
  -files/xorg-server-1.0.2-Sbus.patch,
  -files/xorg-server-1.0.2-Xprt-build.patch,
  -files/xorg-server-1.0.2-sparc64-cfbrrop-fix.patch,
  -files/xorg-server-1.0.2-xprint-init.patch,
  -files/CVE-2006-1526-xrender-mitri.patch, -xorg-server-1.0.2-r8.ebuild:
  Stop supporting Xorg 7.0.

  24 Jan 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  -files/1.0.99.901-Xprint-xprintdir.patch,
  -files/xorg-server-1.1.99.901-GetDrawableAttributes.patch,
  -files/1.1.99.903-sparc-includes.patch,
  -files/xorg-server-1.1.0-setuid.diff, -files/1.1.99.903-mesa-6.5.2.patch,
  -xorg-server-1.0.2-r7.ebuild, -xorg-server-1.1.0-r1.ebuild,
  -xorg-server-1.1.1.ebuild, -xorg-server-1.1.1-r2.ebuild,
  -xorg-server-1.1.1-r3.ebuild, -xorg-server-1.1.99.903-r1.ebuild:
  Clean up.

*xorg-server-1.2.0 (24 Jan 2007)

  24 Jan 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  +xorg-server-1.2.0.ebuild:
  Bump. Upstream incorporated some version of all of our patches, so no more
  need for the aiglx USE flag.

  22 Jan 2007; Steve Dibb <beandog@gentoo.org> xorg-server-1.0.2-r8.ebuild,
  xorg-server-1.1.1-r4.ebuild:
  amd64 stable, bug 157421

  22 Jan 2007; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/1.1.1-fixdualhead.patch, +files/1.1.99.903-sparc-includes.patch,
  +files/1.1.1-sparc-includes.patch, xorg-server-1.1.1-r4.ebuild,
  xorg-server-1.1.99.903-r1.ebuild:
  (#159671) Fix sparc build with current kernel headers. (#159375) Fix dual
  head when direct rendering is enabled. No revision bump because these affect
  a minority of users.

  15 Jan 2007; Tim Yamin <plasmaroo@gentoo.org> xorg-server-1.1.1-r4.ebuild:
  Stable on IA64; bug #157421.

  15 Jan 2007; Bryan Østergaard <kloeri@gentoo.org>
  xorg-server-1.1.1-r4.ebuild:
  Stable on Alpha, bug 157421.

  14 Jan 2007; René Nussbaumer <killerfox@gentoo.org>
  xorg-server-1.1.1-r4.ebuild:
  Stable on hppa. See bug #157421.

  14 Jan 2007; Markus Rothe <corsair@gentoo.org>
  xorg-server-1.0.2-r8.ebuild, xorg-server-1.1.1-r4.ebuild:
  Stable on ppc64; bug #157421

  14 Jan 2007; Ferris McCormick <fmccor@gentoo.org>
  xorg-server-1.1.1-r4.ebuild:
  Stable on sparc --- Security Bug #157421 --- everything as expected.

  13 Jan 2007; Andrej Kacian <ticho@gentoo.org> xorg-server-1.0.2-r8.ebuild,
  xorg-server-1.1.1-r4.ebuild:
  Stable on x86, bug #157421.

  13 Jan 2007; Tobias Scherbaum <dertobi123@gentoo.org>
  xorg-server-1.1.1-r4.ebuild:
  Stable on ppc wrt bug #157421.

*xorg-server-1.1.1-r4 (13 Jan 2007)
*xorg-server-1.0.2-r8 (13 Jan 2007)

  13 Jan 2007; Joshua Baergen <joshuabaergen@gentoo.org>
  +files/1.0.2-dbe-render.diff, +files/1.1.1-dbe-render.diff,
  +xorg-server-1.0.2-r8.ebuild, +xorg-server-1.1.1-r4.ebuild:
  Fix multiple vulnerabilities in Render and DBE extensions.  (Bug #157421)

  07 Dec 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  xorg-server-1.1.1-r3.ebuild:
  Only apply the GLX endianness fix if AIGLX is enabled, since it fixes one of
  the AIGLX patches.  Thanks to Elisamuel Resto and Mike Auty for figuring out
  what the problem was.  Closes bug #157401.

  07 Dec 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  xorg-server-1.2.99.0.ebuild:
  Build against the Mesa 6.5.2 release instead of the snapshot.

*xorg-server-1.1.1-r3 (07 Dec 2006)

  07 Dec 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  +files/1.1.1-fix_big_endian_glx.patch, +xorg-server-1.1.1-r3.ebuild:
  Fix GLX endianness on big endian systems.  This gets rid of the funky colours
  on systems such as PPC when running Compiz/Beryl.  (Bug #156715, Rasmus Wiman)

  05 Dec 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.1.99.903-r1.ebuild, xorg-server-1.2.99.0.ebuild:
  Require kbproto 1.0.3.

*xorg-server-1.1.99.903-r1 (04 Dec 2006)

  04 Dec 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  +files/1.1.99.903-mesa-6.5.2.patch, -xorg-server-1.1.99.903.ebuild,
  +xorg-server-1.1.99.903-r1.ebuild:
  Build the 7.2 server against Mesa 6.5.2.  Includes a patch from Hanno Böck.

*xorg-server-1.1.99.903 (02 Dec 2006)

  02 Dec 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  +files/xorg-server-1.1.99.901-GetDrawableAttributes.patch,
  -xorg-server-1.1.99.902.ebuild, +xorg-server-1.1.99.903.ebuild:
  Version bump for 7.2RC3.  Includes several more bugfixes.

  A patch has been added from upstream Bugzilla that fixes Compiz/AIGLX
  operation on the server.  It's unknown if the patch has any negative
  side-effects yet, so it's hidden behind USE="aiglx" again.

  01 Dec 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  xorg-server-1.1.1-r1.ebuild:
  Stable on hppa wrt #144549

  14 Nov 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  xorg-server-1.1.99.902.ebuild:
  xorgcfg appears to build OK again - re-enable it.

*xorg-server-1.1.99.902 (13 Nov 2006)

  13 Nov 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  -xorg-server-1.1.99.901.ebuild, +xorg-server-1.1.99.902.ebuild:
  Bump for 7.2RC2.  Brings quite a few more bugfixes.

*xorg-server-1.1.1-r2 (09 Nov 2006)

  09 Nov 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  +files/1.1.1-fix_acpi_tokenize.patch, +xorg-server-1.1.1-r2.ebuild:
  Fix X crashes when opening/closing laptop lids on some laptops.  (Bug #152184,
  Wendall Cada for the report)

  05 Nov 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  +files/1.2.99.0-fix-sysconfdir-references.patch:
  Add missing patch.

  04 Nov 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  xorg-server-1.2.99.0.ebuild:
  SDL is also currently broken in 1.2.99.0 according to Daniel Stone.

  04 Nov 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  xorg-server-1.2.99.0.ebuild:
  1.2.99.0:
  - xprint is broken (bug #154067, Cyrill Helg)
  - fix install location of dbus configuration file

  04 Nov 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  xorg-server-1.2.99.0.ebuild:
  Add DBUS dependency.  Bump dependencies on evdev, keyboard and mouse drivers
  to enforce input hotplug-compatible versions.

  03 Nov 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  xorg-server-1.2.99.0.ebuild:
  Add 'dbus' USE-flag and disable dmx correctly.

  03 Nov 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  xorg-server-1.2.99.0.ebuild:
  1.2.99 needs libdrm >= 2.2.  Thanks to steev again.

  03 Nov 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  xorg-server-1.2.99.0.ebuild:
  1.2.99 depends on inputproto >=1.4. Thanks to Steev for the catch.

  03 Nov 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  xorg-server-1.2.99.0.ebuild:
  Eradicate all references to the currently broken DMX. (Jakub Moc, bug #153928)

*xorg-server-1.2.99.0 (03 Nov 2006)

  03 Nov 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  +xorg-server-1.2.99.0.ebuild:
  Add initial input hotplug development release.

*xorg-server-1.1.99.901 (30 Oct 2006)

  30 Oct 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  +xorg-server-1.1.99.901.ebuild:
  Add 7.2RC1 server snapshot.  xorgcfg is broken (probably minorly), and compiz
  compatibility patches are also broken.  Loads of fixes and changes since 7.1.

  25 Oct 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.1.1-r1.ebuild:
  Unbreaking kdrive, part 4: Move all the kdrive setup code out to a separate
  function kdrive_setup(). Make variables local to that function.

  25 Oct 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.1.1-r1.ebuild:
  Unbreaking kdrive, part 3: Build fbdev and vesa for all cases in which other
  servers require them. This replaces the existing fix for bug #136370 and
  should also fix bug #152797.

  25 Oct 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.1.1-r1.ebuild:
  Unbreaking kdrive, part 2: Instead of checking whether a certain VIDEO_CARDS
  setting is in a long list of invalid cards for non-x86 systems, check
  whether it's the single valid setting; Check whether VIDEO_CARDS settings
  are valid kdrive servers before moving into the more complex processing.

  25 Oct 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.1.1-r1.ebuild:
  Unbreaking kdrive, part 1: Fix logic and variable names when forcing
  fbdev/vesa on for Xati; Don't skip binary drivers, it needlessly complicates
  the code for no useful end result.

  18 Oct 2006; Aron Griffis <agriffis@gentoo.org>
  xorg-server-1.1.1-r1.ebuild:
  Mark 1.1.1-r1 stable on alpha. #144549

  17 Oct 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  xorg-server-1.1.1-r1.ebuild:
  Don't try to install xorg.conf.example if the xorg server isn't built.  (Bug
  #151670, Balint Dobai-Pataky)

  15 Oct 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  xorg-server-1.1.1-r1.ebuild:
  Don't try to install xorg.conf.example with USE="minimal". (Bug #151421,
  George Kargiotakis)

  14 Oct 2006; Aron Griffis <agriffis@gentoo.org>
  xorg-server-1.1.1-r1.ebuild:
  Mark 1.1.1-r1 stable on ia64. #144549

  13 Oct 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  xorg-server-1.1.1-r1.ebuild:
  AMD64/x86 stable for bug #144549 (X7.1).

  13 Oct 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  xorg-server-1.1.1-r1.ebuild:
  Hide AIGLX patches behind the "aiglx" USE flag, since the patches seem to
  cause some EXA slowdowns (bug #147841, reported by Giacomo Perale).

  12 Oct 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  xorg-server-1.1.1-r1.ebuild:
  Really fix bug #150052.

  12 Oct 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  +files/xorg-conf-example.patch, xorg-server-1.1.1-r1.ebuild:
  Install xorg.conf.example like 6.x did. (Bug #138623, requested by
  Christopher Covington; patch written by Donnie and I) Don't build kdrive
  servers that use vm86.h on non-x86 systems. (Bug #150052, Shvetsov Alex)

  06 Oct 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  xorg-server-1.1.0-r1.ebuild, xorg-server-1.1.1.ebuild,
  xorg-server-1.1.1-r1.ebuild:
  Remove references to nvidia-glx now that it has been removed from the tree.

  20 Sep 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  files/1.1.1-sparc64-ati-lockups.patch:
  Base ifdef on __sparc__ rather than __sparc64__. The issue happens on 64-bit
  kernel/32-bit userland, so sparc64 isn't defined when building the userland.

  20 Sep 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.1.1-r1.ebuild:
  Use new glproto for eye candy to work properly.

  16 Sep 2006; Hanno Boeck <hanno@gentoo.org> xorg-server-1.1.1-r1.ebuild:
  Fix download URLs.

  16 Sep 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.1.1-r1.ebuild:
  Use Mesa 6.5.1 instead of a random prerelease snapshot.

  15 Sep 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  -files/1.1.1-remove-altix.patch, +files/1.1.1-sparc64-ati-lockups.patch,
  xorg-server-1.1.1.ebuild, xorg-server-1.1.1-r1.ebuild:
  Use upstream's fix for sparc mach64 lockups. An 18-line patch instead of a
  582-line patch is a good thing.

  12 Sep 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.1.0-r1.ebuild, xorg-server-1.1.1.ebuild,
  xorg-server-1.1.1-r1.ebuild:
  Some comments got displaced to the wrong spot.

  12 Sep 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  xorg-server-1.1.1.ebuild:
  Stable on hppa

  08 Sep 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.0.2-r7.ebuild, xorg-server-1.1.0-r1.ebuild,
  xorg-server-1.1.1.ebuild, xorg-server-1.1.1-r1.ebuild:
  (#128448) Depend on xplsprinters if USE=xprint, because it's used in profile
  scripts.

  06 Sep 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/xorg-x11-server-1.1.1-mesa-6.5.1.patch:
  Forgot to cvs add the patch, thanks fmccor.

*xorg-server-1.1.1-r1 (05 Sep 2006)

  05 Sep 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/01-no-move-damage.patch, +files/02-dont-backfill-bg-none.patch,
  +files/03-tfp-damage.patch, +files/04-mesa-copy-sub-buffer.patch,
  +files/05-offscreen-pixmaps.patch, +files/06-aiglx-happy-vt-switch.patch,
  +files/xorg-server-1.1.1-install-libxf86config-headers.patch,
  +files/1.1.1-fix-xrandr-zoom-keys.patch, +xorg-server-1.1.1-r1.ebuild:
  Bump. (#145797) Add patches for AIGLX+compiz. (#146197) Fix resolution
  switching with ctrl-alt-+/-. Install libxf86config + headers for
  pyxf86config, and extramodes and vesamodes for system-config-display. Do
  correct bash substitution for nvidia kdrive server. This uses a mesa
  snapshot in anticipation of the 6.5.1 release. Some changes will need to
  happen to get it back to using a standard Mesa release tarball.

  03 Sep 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  xorg-server-1.1.0-r1.ebuild, xorg-server-1.1.1.ebuild:
  kdrive's VESA driver does not build on AMD64.  (Bruno Roggeri, bug #145274)

  27 Aug 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.1.0-r1.ebuild, xorg-server-1.1.1.ebuild:
  Remove trailing whitespace.

  27 Aug 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.1.0-r1.ebuild, xorg-server-1.1.1.ebuild:
  Allow 7.1-compatible nvidia-drivers and nvidia-legacy-drivers.

  26 Aug 2006; Hanno Boeck <hanno@gentoo.org> xorg-server-1.1.0-r1.ebuild,
  xorg-server-1.1.1.ebuild:
  linuxwacom moved from x11-misc to x11-drivers.

  22 Aug 2006; Ferris McCormick <fmccor@gentoo.org>
  xorg-server-1.1.1.ebuild:
  Stable on sparc, Bug #144549 --- Thanks to dberkholz for incorporating
  remove-altix patch.

  22 Aug 2006; Stephen P. Becker <geoman@gentoo.org>
  xorg-server-1.1.1.ebuild:
  stable on mips, bug 144549

  21 Aug 2006; Markus Rothe <corsair@gentoo.org> xorg-server-1.1.1.ebuild:
  Stable on ppc64; bug #144549

  21 Aug 2006; Joseph Jezak <josejx@gentoo.org> xorg-server-1.1.1.ebuild:
  Marked ppc stable for bug #144549.

  20 Aug 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/1.1.1-remove-altix.patch, xorg-server-1.1.1.ebuild:
  (fd.o #3914) Altix support breaks some sparc64 systems with Mach64 video, so
  conditionally patch it out. This patch will be maintained and forward-ported
  by the sparc team. This is the last stable blocker for modular X on sparc.

  18 Aug 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.1.1.ebuild:
  Move architecture-specific video driver defaults into profiles.

  12 Aug 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.1.0-r1.ebuild, xorg-server-1.1.1.ebuild:
  libdmx and dmxproto should be in USE=dmx dep, not USE=minimal.

  02 Aug 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.1.0-r1.ebuild, xorg-server-1.1.1.ebuild:
  Add VIDEO_CARDS=fglrx back in, now that there's a compatible driver.

  19 Jul 2006; Guy Martin <gmsoft@gentoo.org> xorg-server-1.0.2-r7.ebuild:
  Stable on hppa.

  16 Jul 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  xorg-server-1.1.0-r1.ebuild:
  Add the warning to this version too.

  16 Jul 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  xorg-server-1.1.1.ebuild:
  Add some warnings about the change in reduced blanking behaviour.  (Bug
  #135544, Steffen Strobel)

  11 Jul 2006; Aron Griffis <agriffis@gentoo.org>
  xorg-server-1.1.0-r1.ebuild:
  Mark 1.1.0-r1 stable on ia64

  09 Jul 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.1.1.ebuild:
  Also don't build xorgcfg on USE=minimal.

  09 Jul 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  -xorg-server-1.0.2-r6.ebuild:
  Pull old version.

*xorg-server-1.1.1 (09 Jul 2006)

  09 Jul 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  +xorg-server-1.1.1.ebuild:
  Bump. Bunches of rendering and crasher fixes, incorporates security fix and
  the 2 xprint patches, and more.

  07 Jul 2006; Donnie Berkholz <dberkholz@gentoo.org>; ChangeLog:
  Update to my new email address.

  06 Jul 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  xorg-server-1.1.0-r1.ebuild:
  Added blocker on x11-drivers/nvidia-drivers and
  x11-drivers/nvidia-legacy-drivers since they don't work on 1.1 yet.

  01 Jul 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  files/x11r7.0-setuid.diff, files/xorg-server-1.1.0-setuid.diff:
  Fix the setuid patches.  (Thanks to Rudo Thomas for the catch in bug #138688)

  01 Jul 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.1.0-r1.ebuild:
  ppc/sparc/mips/alpha/arm/sh stable

  30 Jun 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.1.0-r1.ebuild:
  sparc shouldn't pull in vesa and vga.

  30 Jun 2006; Markus Rothe <corsair@gentoo.org>
  xorg-server-1.1.0-r1.ebuild:
  Stable on ppc64

  30 Jun 2006; Chris Gianelloni <wolf31o2@gentoo.org>
  xorg-server-1.0.2-r7.ebuild:
  Stable on amd64.

  30 Jun 2006; Markus Rothe <corsair@gentoo.org>
  xorg-server-1.0.2-r7.ebuild:
  Stable on ppc64

  30 Jun 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.0.2-r7.ebuild:
  x86 stable.

*xorg-server-1.0.2-r7 (30 Jun 2006)

  30 Jun 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/1.0.2-fix-rom-read-dualhead.patch, +xorg-server-1.0.2-r7.ebuild:
  Fix dual-head.

  30 Jun 2006; Stephen P. Becker <geoman@gentoo.org>
  xorg-server-1.1.0-r1.ebuild:
  added video_cards_impact to IUSE_VIDEO_CARDS, enable it for mips users

  27 Jun 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  xorg-server-1.1.0-r1.ebuild:
  Only pull in loadable drivers if the xorg USE-flag is set. (bug #135873)

  28 Jun 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.1.0-r1.ebuild:
  Fix typo video_cards_3dfx > video_cards_tdfx (Jakub Moc).

  26 Jun 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  xorg-server-1.1.0-r1.ebuild:
  Fix kdrive+ATI build.  (Priit Laes, bug #136370)

  26 Jun 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  xorg-server-1.1.0-r1.ebuild:
  Allow USE="-* minimal" for xorg-server so that Xvfb can be built by itself.
  (Patch by Ed Catmur, bug #137991)

  21 Jun 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.1.0-r1.ebuild:
  Fix up VIDEO_CARDS for mips, they don't want ati, mga, sisusb.

*xorg-server-1.1.0-r1 (20 Jun 2006)
*xorg-server-1.0.2-r6 (20 Jun 2006)

  20 Jun 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/xorg-server-1.1.0-setuid.diff, +files/x11r7.0-setuid.diff,
  -xorg-server-1.0.2-r4.ebuild, -xorg-server-1.0.2-r5.ebuild,
  +xorg-server-1.0.2-r6.ebuild, -xorg-server-1.1.0.ebuild,
  +xorg-server-1.1.0-r1.ebuild:
  Security bump. Failure to check the return value of setuid() in a privileged
  process could be used by a local user for file overwriting and possible
  privilege escalation in corner cases. See
  http://lists.freedesktop.org/archives/xorg/2006-June/016146.html for more
  information.

  17 Jun 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  xorg-server-1.1.0.ebuild:
  Drop nvidia and fglrx flags for now and block all nvidia-glx and ati-drivers
  versions since neither of the binary drivers are supported currently.
  (Jakub Moc, bug #136788)

*xorg-server-1.0.2-r5 (11 Jun 2006)

  11 Jun 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  +files/1.0.2-fix-readKernelMapping-overrun.patch,
  +xorg-server-1.0.2-r5.ebuild:
  Fix an overrun that was causing various issues on VT switch.  This is already
  fixed in 1.1.  (Matthias Dahl, bug #127608)

  04 Jun 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  xorg-server-1.1.0.ebuild:
  Ensure eautoreconf gets run when building xprint and kdrive.  (Walter Meinl,
  bug #135263)

  04 Jun 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  xorg-server-1.1.0.ebuild:
  Have the ebuild fail if no server will be built, instead of appearing to
  complete successfully but not installing enough binaries for a usable X.
  (Bug #132140)

*xorg-server-1.1.0 (23 May 2006)

  23 May 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  -xorg-server-1.0.99.903.ebuild, +xorg-server-1.1.0.ebuild:
  Bump for 7.1 final.  Includes various crash fixes, etc.

  14 May 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.0.2-r4.ebuild:
  Force on xorg-x11 opengl implem for compile, to ensure we have recent enough
  glxtokens.h. Reported by johey on freenode.

  14 May 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.0.99.903.ebuild:
  (#133295) Fix kdrive build when s3 is on, because it also sedded out the s3
  from the middle of sis300. Also a fix for turning off sis300 at all. Fixes
  by Kent Fredric.

  14 May 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.0.2-r4.ebuild, xorg-server-1.0.99.903.ebuild:
  Add RESTRICT=stricter, because FEATURES=stricter dies on installing anything
  suid with lazy bindings. The X server needs lazy bindings because of how its
  module loading works. Hopefully at some point, upstream will change this.
  Suggested by Kevin F. Quinn.

  13 May 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  xorg-server-1.0.99.903.ebuild:
  Move driver dependencies from the meta-ebuild to xorg-server as a
  PDEPEND. (Michal Suchanek, bug #132696)

*xorg-server-1.0.99.903 (13 May 2006)

  13 May 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  -xorg-server-1.0.99.902-r1.ebuild, +xorg-server-1.0.99.903.ebuild:
  Bump to 7.1RC3.

  13 May 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  xorg-server-1.0.2-r4.ebuild, xorg-server-1.0.99.902-r1.ebuild:
  Force update to libxkbui-1.0.2 per dberkholz' suggestion, hopefully fixing
  _XkbStrCaseCmp-related issues.

*xorg-server-1.0.99.902-r1 (02 May 2006)
*xorg-server-1.0.2-r4 (02 May 2006)

  02 May 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  +files/CVE-2006-1526-xrender-mitri.patch, -xorg-server-1.0.2-r3.ebuild,
  +xorg-server-1.0.2-r4.ebuild, -xorg-server-1.0.99.902.ebuild,
  +xorg-server-1.0.99.902-r1.ebuild:
  Security bump and remove all affected versions. Please see Bug #130979 for
  details.

  30 Apr 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  -files/1.0.99.901-fix-kdrive-build.patch,
  -files/1.0.99.901-wrap-sdk-headers.patch,
  -xorg-server-1.0.99.901-r1.ebuild:
  Pull old 7.1RC ebuild.

  30 Apr 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.0.99.902.ebuild:
  (#131817) Move the nptl diemsg out of an if, since we also use it in the else.

*xorg-server-1.0.99.902 (29 Apr 2006)

  29 Apr 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  +xorg-server-1.0.99.902.ebuild:
  Version bump.  Includes quite a few bugfixes.

  24 Apr 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.0.99.901-r1.ebuild:
  We don't need to apply the xf86Sbus.h creation patch anymore. It was
  applying successfully by appending itself to the already-complete file in
  the tarball.

  23 Apr 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.0.99.901-r1.ebuild:
  Fix the USE=-xorg build, can't do use_with() on mesa-source because it won't
  accept the --without option.

  23 Apr 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  files/digest-xorg-server-1.0.99.901-r1:
  Fix digest.

  23 Apr 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/xorg-server-1.0.2-Xprt-build.patch,
  +files/1.0.2-Xprint-xprintdir.patch,
  +files/xorg-server-1.0.2-xprint-init.patch,
  +files/1.0.99.901-Xprint-xprintdir.patch, xorg-server-1.0.2-r3.ebuild,
  xorg-server-1.0.99.901-r1.ebuild:
  (#128448) Fix xprint (Ed Catmur). Still needs a dep added on xplsprinters
  when xprint is in USE, but arches haven't keyworded it yet.

*xorg-server-1.0.99.901-r1 (21 Apr 2006)

  21 Apr 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/1.0.99.901-fix-kdrive-build.patch,
  +files/1.0.99.901-wrap-sdk-headers.patch, -xorg-server-1.0.99.901.ebuild,
  +xorg-server-1.0.99.901-r1.ebuild:
  Add option to build kdrive, tiny X servers; also add VIDEO_CARDS settings to
  select kdrive servers to build. Add option to build AIGLX with TLS support
  (USE=nptl) -- mesa and xorg-server must be in sync on this. Update some
  deps: glproto, scrnsaverproto. Don't need to inherit flag-o-matic, x-modular
  eclass does this for us. Make Xdmx build its own USE flag, instead of part
  of minimal. Force xorg-x11 OpenGL to build, because it needs a newer
  glxtokens.h than some binary drivers provide. Add a server_based_install()
  function for any actions dependent on which servers get built. Add USE=xorg
  to build the Xorg X server, which will be on by default.

  17 Apr 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  xorg-server-1.0.2-r3.ebuild:
  Drop the mesa version check since it shouldn't be required.

  17 Apr 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.0.99.901.ebuild:
  AIGLX defaults on, don't need to enable it.

*xorg-server-1.0.99.901 (14 Apr 2006)

  14 Apr 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  xorg-server-1.0.2-r3.ebuild, -xorg-server-1.0.99.2.ebuild,
  +xorg-server-1.0.99.901.ebuild:
  Bump xorg-server for 7.1RC1.  Change Mesa dependencies on all servers to
  account for the changed paths in Mesa 6.5-r2.

*xorg-server-1.0.99.2 (12 Apr 2006)

  12 Apr 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  +xorg-server-1.0.99.2.ebuild:
  Add a xorg-server snapshot from upstream.  This snapshot compiles against Mesa
  6.5 and has AIGLX enabled.

  31 Mar 2006; Diego Pettenò <flameeyes@gentoo.org>
  xorg-server-1.0.2-r3.ebuild:
  Add ~x86-fbsd keyword.

  31 Mar 2006; Donnie Berkholz <dberkholz@gentoo.org>; ChangeLog:
  Only need that ChangeLog message once.

*xorg-server-1.0.2-r3 (31 Mar 2006)

  31 Mar 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/xorg-server-1.0.2-64bit-fix-for-glx.patch,
  -xorg-server-1.0.2-r2.ebuild, +xorg-server-1.0.2-r3.ebuild:
  Really fix 64-bit direct rendering. glcontextmodes.[ch] doesn't include
  glheader.h, so it also needs to include dix-config.h.

*xorg-server-1.0.2-r2 (28 Mar 2006)

  28 Mar 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/xorg-server-1.0.2-64bit-fix-have-dix-config.patch,
  +files/xorg-server-1.0.2-64bit-fix-indirect-vertex-array.patch,
  -xorg-server-1.0.2-r1.ebuild, +xorg-server-1.0.2-r2.ebuild:
  Re-add 64-bit direct rendering patches that got lost in the 1.0.2 bump.

  24 Mar 2006; Donnie Berkholz <dberkholz@gentoo.org>; +files/xprint.init,
  xorg-server-1.0.2-r1.ebuild:
  (#127425) Install xprint init scripts and directories, patch by Ed Catmur.

  24 Mar 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.0.2-r1.ebuild:
  Re-add font-adobe-75dpi to RDEPEND, caught by Jonathan Adamczewski.

  24 Mar 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.0.2-r1.ebuild:
  Add deps on compositeproto 0.3 and fixesproto 4.0, otherwise build may break
  with overlay window patch.

*xorg-server-1.0.2-r1 (24 Mar 2006)

  24 Mar 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  -xorg-server-1.0.2.ebuild, +xorg-server-1.0.2-r1.ebuild:
  (#127333) Fix crashing of pretty much all gtk+-2 apps. We had the
  client-side updates to composite and fixes extensions, but we didn't let the
  server know about them, which resulted in lots of BadRequests.

  23 Mar 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.0.2.ebuild:
  Depends on media-fonts/font-adobe-75dpi for xorgcfg.

  23 Mar 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/1.0.2-fix-xorgconfig-rgbpath-and-mouse.patch,
  +files/1.0.2-try-to-fix-xorgcfg.patch, xorg-server-1.0.2.ebuild:
  (#117299) Fix xorgconfig, which was producing an invalid RgbPath setting.
  (#117071) Attempt to fix xorgcfg. I couldn't test without /etc/X11/xorg.conf
  because it was producing invalid modes on my monitor, but it worked when
  xorg.conf was present.

*xorg-server-1.0.2 (21 Mar 2006)

  21 Mar 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  -files/xorg-server-1.0.1-64bit-fix-have-dix-config.patch,
  -files/xorg-server-1.0.1-64bit-fix-indirect-vertex-array.patch,
  -files/xorg-server-1.0.1-Sbus.patch,
  -files/xorg-server-1.0.1-amd64-fix-for-glx.patch,
  -files/xorg-server-1.0.1-backtrace.patch,
  +files/xorg-server-1.0.2-Sbus.patch,
  +files/xorg-server-1.0.2-sparc64-cfbrrop-fix.patch,
  -xorg-server-1.0.1-r4.ebuild, +xorg-server-1.0.2.ebuild:
  (#125803) Fix local root vulnerability present in 6.8.99.x and newer. This
  does NOT affect 6.8.2.

*xorg-server-1.0.1-r4 (19 Feb 2006)

  19 Feb 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/xorg-server-1.0.1-64bit-fix-have-dix-config.patch,
  +files/xorg-server-1.0.1-64bit-fix-indirect-vertex-array.patch,
  -xorg-server-1.0.1-r3.ebuild, +xorg-server-1.0.1-r4.ebuild:
  Really fix GLX on 64-bit systems.

  14 Feb 2006; Markus Rothe <corsair@gentoo.org>
  xorg-server-1.0.1-r3.ebuild:
  Added ~ppc64

*xorg-server-1.0.1-r3 (13 Feb 2006)

  13 Feb 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/xorg-server-1.0.1-amd64-fix-for-glx.patch,
  -xorg-server-1.0.1-r2.ebuild, +xorg-server-1.0.1-r3.ebuild:
  (#122140) Add patch to fix OpenGL on amd64, thanks to Igor V. Kovalenko
  <garrison@mail.ru>. Also update to Mesa 6.4.2 tarball so people only need to
  download one version of it.

  06 Feb 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.0.1-r2.ebuild:
  Add an OR dependency with xkbdata for new x11-misc/xkeyboard-config, and
  prefer it over xkbdata.

  03 Feb 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.0.1-r2.ebuild:
  (#121394) Filter -fweb, because it causes window corruption.

  31 Jan 2006; Rene Nussbaumer <killerfox@gentoo.org>
  xorg-server-1.0.1-r2.ebuild:
  Unstable on hppa.

*xorg-server-1.0.1-r2 (26 Jan 2006)

  26 Jan 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/xorg-server-1.0.1-backtrace.patch, -xorg-server-1.0.1.ebuild,
  -xorg-server-1.0.1-r1.ebuild, +xorg-server-1.0.1-r2.ebuild:
  Fix the automatic backtraces at the bottom of /var/log/Xorg.*.log on segfaults.

  19 Jan 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  xorg-server-1.0.1.ebuild, xorg-server-1.0.1-r1.ebuild:
  Update the license.

  04 Jan 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.0.1-r1.ebuild:
  No need to specify configure options that are the default.

  04 Jan 2006; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-1.0.1-r1.ebuild:
  No need to manually create Xorg -> X symlink anymore.

*xorg-server-1.0.1-r1 (03 Jan 2006)

  03 Jan 2006; Joshua Baergen <joshuabaergen@gentoo.org>
  +xorg-server-1.0.1-r1.ebuild:
  Fix the libglx* relocation routine to look in the right place so that xorg-x11
  will play nice with eselect. Bug #117100.

  26 Dec 2005; Stefaan De Roeck <stefaan@gentoo.org>
  xorg-server-1.0.1.ebuild:
  Marked ~alpha

*xorg-server-1.0.1 (23 Dec 2005)

  23 Dec 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/xorg-server-1.0.1-Sbus.patch, -xorg-server-0.99.4-r2.ebuild,
  -xorg-server-1.0.0.ebuild, +xorg-server-1.0.1.ebuild:
  Bump for 7.0. (#111361) Add patch to fix sparc build.

*xorg-server-1.0.0 (17 Dec 2005)

  17 Dec 2005; Joshua Baergen <joshuabaergen@gentoo.org>
  +xorg-server-1.0.0.ebuild:
  Bump for 7.0RC4.

  09 Dec 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  -files/fix-xkb-compile-path-2.patch:
  Unused file.

  09 Dec 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  -xorg-server-0.99.2-r2.ebuild, -xorg-server-0.99.3.ebuild,
  -xorg-server-0.99.3-r1.ebuild, -xorg-server-0.99.4.ebuild,
  -xorg-server-0.99.4-r1.ebuild:
  Pull old versions.

*xorg-server-0.99.4-r2 (06 Dec 2005)

  06 Dec 2005; Joshua Baergen <joshuabaergen@gentoo.org>
  +xorg-server-0.99.4-r2.ebuild:
  Build against Mesa 6.4.1 instead of Mesa 6.4.  Caught by dagb.

*xorg-server-0.99.4-r1 (05 Dec 2005)

  05 Dec 2005; Joshua Baergen <joshuabaergen@gentoo.org>
  +xorg-server-0.99.4-r1.ebuild:
  It would appear that libglx (silently) fails to build if libdrm is not >=
  version 2.  Rev-bump so that anyone who has merged this already gets a forced
  re-merge and thus gets a working glx extension.

*xorg-server-0.99.4 (04 Dec 2005)

  04 Dec 2005; Joshua Baergen <joshuabaergen@gentoo.org>
  +xorg-server-0.99.4.ebuild:
  Bump for 7.0RC3.

  14 Nov 2005; Joshua Baergen <joshuabaergen@gentoo.org>
  +files/fix-xkb-compile-path-2.patch, -files/fix-xkb-compile-path.patch,
  xorg-server-0.99.3-r1.ebuild:
  Remove CVS tags from patch as they don't do anything but break installs.
  Fixes bug #112476.

*xorg-server-0.99.3-r1 (14 Nov 2005)

  14 Nov 2005; Joshua Baergen <joshuabaergen@gentoo.org>
  +files/fix-xkb-compile-path.patch, +xorg-server-0.99.3-r1.ebuild:
  Fix xkb issue spotted by dberkholz.

*xorg-server-0.99.3 (11 Nov 2005)

  11 Nov 2005; Joshua Baergen <joshuabaergen@gentoo.org>
  +xorg-server-0.99.3.ebuild:
  Bump for 7.0RC2.

*xorg-server-0.99.2-r2 (09 Nov 2005)

  09 Nov 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  -xorg-server-0.99.2-r1.ebuild, +xorg-server-0.99.2-r2.ebuild:
  Build against mesa 6.4 instead of 6.3.2.

  31 Oct 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  -xorg-server-0.99.1_p20051013-r1.ebuild, -xorg-server-0.99.2.ebuild:
  Pull old versions.

  29 Oct 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-0.99.2-r1.ebuild:
  Note that X->Xorg symlink will be taken care of for any new snapshots, so we
  can remove the line from the ebuild.

  20 Oct 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-0.99.2-r1.ebuild:
  Use --enable-install-setuid instead of manually changing permissions.

*xorg-server-0.99.2-r1 (20 Oct 2005)

  20 Oct 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  +xorg-server-0.99.2-r1.ebuild:
  (#109926) No need to specify xkb path anymore, it's wrong now as well.

*xorg-server-0.99.2 (20 Oct 2005)

  20 Oct 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  +xorg-server-0.99.2.ebuild:
  Bump for 7.0 RC1.

  19 Oct 2005; Stephen P. Becker <geoman@gentoo.org>
  xorg-server-0.99.1_p20051013-r1.ebuild:
  added ~mips keyword

  17 Oct 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-0.99.1_p20051013-r1.ebuild:
  (#109354) In some mystical way all the dependency changes got reverted in
  the new revision.

  16 Oct 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  -files/0.99.1-r10-check-for-glproto.patch,
  -files/0.99.1-r10_CAN-2005-2495.patch, -files/fix-transparencies.patch,
  -xorg-server-0.99.1-r10.ebuild, -xorg-server-0.99.1_p20051013.ebuild:
  Pull old ebuilds.

*xorg-server-0.99.1_p20051013-r1 (16 Oct 2005)

  16 Oct 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  +xorg-server-0.99.1_p20051013-r1.ebuild:
  (#109467) Set a non-broken default font path so things like Xvfb actually work.

  15 Oct 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-0.99.1_p20051013.ebuild:
  Add x11-libs/libXtst for dmx.

  15 Oct 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-0.99.1_p20051013.ebuild:
  (#109354) Add lots of deps -- libXaw, libXpm, libXxf86misc, libXxf86vm. Add
  notes on which parts depend on them.

  14 Oct 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-0.99.1_p20051013.ebuild:
  Also wrap dmxproto dep in minimal USE.

  14 Oct 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-0.99.1_p20051013.ebuild:
  (#109124) Add dep on libdmx, within check for USE=minimal. Also move libXres
  dep within there, because it's for dmx.

  14 Oct 2005; Joshua Baergen <joshuabaergen@gentoo.org>
  xorg-server-0.99.1_p20051013.ebuild:
  Add missing deps (x11-libs/libXres and x11-libs/libxkbui).

  14 Oct 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  -files/0.99.1-r9_CAN-2005-2495.patch,
  -files/0.99.1-r9-check-for-glproto.patch, -xorg-server-0.99.1-r9.ebuild:
  Drop old revision.

*xorg-server-0.99.1_p20051013 (14 Oct 2005)

  14 Oct 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  +xorg-server-0.99.1_p20051013.ebuild:
  Update to today's CVS. Enable xprint USE flag. Stop filtering
  -fomit-frame-pointer, because it works now. Add dep on
  >=x11-proto/glproto-1.4.1_pre20051013 to fix build breakage.

  04 Oct 2005; Joshua Baergen <joshuabaergen@gentoo.org>
  +files/0.99.1-r10-check-for-glproto.patch,
  +files/0.99.1-r10_CAN-2005-2495.patch:
  Oops, forgot the version-dependent patches.

*xorg-server-0.99.1-r10 (04 Oct 2005)

  04 Oct 2005; Joshua Baergen <joshuabaergen@gentoo.org>
  +files/fix-transparencies.patch, +xorg-server-0.99.1-r10.ebuild:
  Added fix for OO/wine transparencies from bug #96053.  Thanks to bartron for
  both patches.

  27 Sep 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-0.99.1-r9.ebuild:
  As of 20050927, xprint will require mkfontdir/mkfontscale for XpConfig.

  13 Sep 2005; Joshua Baergen <joshuabaergen@gentoo.org>
  -files/0.99.1-r6-check-for-glproto.patch,
  -files/0.99.1-r8-check-for-glproto.patch, -files/fix-xnest.patch,
  -files/make-fbcompose-endian-safe.patch, -xorg-server-0.99.1-r7.ebuild,
  -xorg-server-0.99.1-r8.ebuild:
  Remove old versions and patches.

*xorg-server-0.99.1-r9 (13 Sep 2005)

  13 Sep 2005; Joshua Baergen <joshuabaergen@gentoo.org>
  +files/0.99.1-r9_CAN-2005-2495.patch,
  +files/0.99.1-r9-check-for-glproto.patch, +xorg-server-0.99.1-r9.ebuild:
  Bump to include security fix from bug #105688.

  12 Sep 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-0.99.1-r8.ebuild:
  Add some deps so we get a server that actually runs after emerging it. In
  specific: media-fonts/font-misc-misc media-fonts/font-cursor-misc
  x11-misc/xbitmaps x11-misc/xkbdata x11-apps/iceauth x11-apps/rgb
  x11-apps/xauth x11-apps/xinit.

  09 Sep 2005; Donnie Berkholz <dberkholz@gentoo.org>; +metadata.xml:
  Add metadata.

*xorg-server-0.99.1-r8 (08 Sep 2005)

  08 Sep 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/0.99.1-r8-check-for-glproto.patch, +xorg-server-0.99.1-r8.ebuild:
  Update to CVS HEAD as of 20050907. Update glproto patch to apply cleanly.

  06 Sep 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-0.99.1-r7.ebuild:
  Make --enable-xcsecurity always on, remove nvidia USE.

  03 Sep 2005; Jeremy Huddleston <eradicator@gentoo.org>
  xorg-server-0.99.1-r7.ebuild:
  Changed opengl-update envocation to use eselect instead.

  03 Sep 2005; Doug Goldstein <cardoe@gentoo.org>
  +xorg-server-0.99.1-r7.ebuild, -xorg-server-0.99.1-r6.ebuild:
  Added support for the XCSecurity option, which is what's needed to make
  binary Nvidia drivers work

  02 Sep 2005; Joshua Baergen <joshuabaergen@gentoo.org>
  -files/0.99.1-r5-check-for-glproto.patch,
  +files/0.99.1-r6-check-for-glproto.patch:
  Apparently this patch has a package revision-based name.

  02 Sep 2005; Joshua Baergen <joshuabaergen@gentoo.org>
  +files/make-fbcompose-endian-safe.patch, -xorg-server-0.99.1-r5.ebuild,
  +xorg-server-0.99.1-r6.ebuild:
  Makes certain draw code endian-safe. Should fix things for big-endian
  arches. Thanks to Stanislaw Skowronek and geoman in bug #104318.

*xorg-server-0.99.1-r6 (02 Sep 2005)

  02 Sep 2005; Joshua Baergen <joshuabaergen@gentoo.org>
  +files/make-fbcompose-endian-safe.patch, -xorg-server-0.99.1-r5.ebuild,
  +xorg-server-0.99.1-r6.ebuild:
  Added fix to make colour calculations endian safe.  Thanks to Stanislaw
  Skowronek for the patch and geoman for the heads-up.  Fixes bug #104318.

  30 Aug 2005; Herbie Hopkins <herbs@gentoo.org>
  xorg-server-0.99.1-r5.ebuild:
  s/lib/$(get_libdir)

  23 Aug 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  -files/check-for-glproto.patch, -files/fix-xf86misc-typo.patch,
  -files/xorg-server-0.99.1-x86_64-1.patch, -xorg-server-0.99.1-r4.ebuild:
  Pull old version.

  23 Aug 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/0.99.1-r5-check-for-glproto.patch, xorg-server-0.99.1-r5.ebuild:
  (#fd.o 3990) Add 0.99.1-r5-check-for-glproto.patch. Pass
  --with-xkb-path=/usr/lib/X11/xkb in attempt to get VT switching closer to
  working. Update CVS patch to 20050822-1, which makes xprint almost work.

*xorg-server-0.99.1-r5 (22 Aug 2005)

  22 Aug 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/fix-xnest.patch, +xorg-server-0.99.1-r5.ebuild:
  Update to CVS as of 20050822. This should make amd64 and sparc work. Update
  included mesa to 6.3.2. Stop forcing glx on, it's on by default. Add
  --disable-static so we don't build .a files for server modules. Add
  fix-xnest.patch to fix breakage in the Xnest linking, caused by the
  configure.ac reworking a couple of days ago.

  21 Aug 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-0.99.1-r4.ebuild:
  xprint build is broken; force it off.

  21 Aug 2005; Luca Barbato <lu_zero@gentoo.org>
  xorg-server-0.99.1-r4.ebuild:
  Marked ~ppc

  21 Aug 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  -files/xorg-composite.patch, -files/xorg-server-fbmmx-local.patch,
  -xorg-server-0.99.1.ebuild, -xorg-server-0.99.1-r1.ebuild,
  -xorg-server-0.99.1-r2.ebuild, -xorg-server-0.99.1-r3.ebuild:
  Drop old versions.

*xorg-server-0.99.1-r4 (21 Aug 2005)

  21 Aug 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  +xorg-server-0.99.1-r4.ebuild:
  Update to today's CVS. This adds a USE flag for xprint. Also, get rid of the
  glx USE flag, because everybody should get it.

  20 Aug 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-0.99.1.ebuild, xorg-server-0.99.1-r1.ebuild,
  xorg-server-0.99.1-r2.ebuild, xorg-server-0.99.1-r3.ebuild:
  panoramixproto moved to xineramaproto.

  17 Aug 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/xorg-server-fbmmx-local.patch, xorg-server-0.99.1-r3.ebuild:
  (fd.o #4073) Fix compilation failures at fbmmx.c. Patch from Diego Pettenò
  <flameeyes@gentoo.org>.

  16 Aug 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-0.99.1-r3.ebuild:
  Wrap opengl things in `if use glx..`

  15 Aug 2005; Herbie Hopkins <herbs@gentoo.org>
  xorg-server-0.99.1-r3.ebuild:
  Marked ~amd64.

  14 Aug 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/xorg-server-0.99.1-x86_64-1.patch, xorg-server-0.99.1-r3.ebuild:
  Add xorg-server-0.99.1-x86_64-1.patch to fix configure.ac on amd64.

  14 Aug 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-0.99.1-r3.ebuild:
  Wrap pkg_postrm() module dir removal in ! has_version.

  12 Aug 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-0.99.1-r3.ebuild:
  No longer necessary to force --enable-composite; it's on by default.

  12 Aug 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-0.99.1-r3.ebuild:
  Update opengl-update dependency to 2.2.3 for proper handling of
  /usr/libdir/modules/extensions/.

  12 Aug 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-0.99.1-r3.ebuild:
  Remove xinerama USE flag; building without it causes major issues.

  12 Aug 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-0.99.1-r3.ebuild:
  Add pkg_postrm() to get rid of /usr/lib/xorg/modules. This should make
  things work better for people crazy enough to downgrade to monolithic.

*xorg-server-0.99.1-r3 (12 Aug 2005)

  12 Aug 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  +xorg-server-0.99.1-r3.ebuild:
  Set /usr/bin/Xorg suid so it starts.

  12 Aug 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-0.99.1-r2.ebuild:
  Fix the patch that mysteriously broke.

  12 Aug 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/check-for-glproto.patch, +files/fix-xf86misc-typo.patch,
  +xorg-server-0.99.1-r2.ebuild:
  Re-add, this time with a huge patch on the mirror.

  12 Aug 2005; Diego Pettenò <flameeyes@gentoo.org>
  -files/check-for-glproto.patch, -files/fix-xf86misc-typo.patch,
  -files/xorg-server-0.99.1-update-to-CVS-HEAD-20050811.patch,
  -xorg-server-0.99.1-r2.ebuild:
  Removed 0.99.1-r2 version (3.3MB patch is not good).

*xorg-server-0.99.1-r2 (12 Aug 2005)

  12 Aug 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/check-for-glproto.patch, +files/fix-xf86misc-typo.patch,
  +files/xorg-server-0.99.1-update-to-CVS-HEAD-20050811.patch,
  +xorg-server-0.99.1-r2.ebuild:
  Add xorg-server-0.99.1-update-to-CVS-HEAD-20050811.patch to fix big-endian
  breakage, composite, some other stuff. Split out non-composite things from
  xorg-composite.patch to check-for-glproto.patch and fix-xf86misc-typo.patch.

  11 Aug 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-0.99.1-r1.ebuild:
  Make an X->Xorg symlink in here until upstream can make one.

  11 Aug 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-0.99.1-r1.ebuild:
  Add more deps: inputproto, bigreqsproto, xcmiscproto. All reported by aaronf0.

  10 Aug 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-0.99.1-r1.ebuild:
  Move confopts into pkg_setup(), and therefore also CONFIGURE_OPTIONS.

*xorg-server-0.99.1-r1 (10 Aug 2005)

  10 Aug 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  +xorg-server-0.99.1-r1.ebuild:
  Rev bump to make sure people get working GL setup.

  10 Aug 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-0.99.1.ebuild:
  Add GL handling, /usr/lib/opengl, opengl-update, etc.

  10 Aug 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-0.99.1.ebuild:
  Add dep on x11-proto/kbproto, again from aaronf0.

  10 Aug 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-0.99.1.ebuild:
  Add dep on fontsproto, reported by aaronf0 on irc.

  09 Aug 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-0.99.1.ebuild:
  (#101883) Add trapproto and panoramixproto as deps.

  08 Aug 2005; Ferris McCormick <fmccor@gentoo.org>
  xorg-server-0.99.1.ebuild:
  Add ~sparc keyword (prepare for X Modular testing).

  08 Aug 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  xorg-server-0.99.1.ebuild:
  (#101749) Add dependencies on videoproto, scrnsaverproto and evieext.
  Reported by Georgi Georgiev <chutz@gg3.net>.

*xorg-server-0.99.1 (08 Aug 2005)

  08 Aug 2005; Donnie Berkholz <dberkholz@gentoo.org>;
  +files/xorg-composite.patch, +xorg-server-0.99.1.ebuild:
  Initial commit for modular X.

